For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of invoices
      • POSTCreate a one-off invoice or credit invoice
      • POSTCreate a preview invoice
      • POSTSearch invoices
      • GETGet an invoice by ID
      • PATCHUpdate an invoice
      • POSTAdd a line to an invoice
      • POSTAdd a line to an invoice
      • PUTReplaces an one-off invoice line in an invoice based on the invoice line id
      • DELDelete an invoice line by ID
      • GETDeprecated. Instead use /payments to get the payments for the invoice
      • GETGet the payments made for the invoice
      • POSTDelete a line from an invoice
      • POSTSend an invoice via email.
      • POSTExport an invoice to an ERP.
      • GETGet the invoice as a PDF
      • GETGet the invoice as a UBL 2.1
      • POSTCreate a credit invoice for the provided invoice resource ID
      • POSTRefresh the invoice and get it
      • POSTRefresh the eInvoices that belong to this invoice and get the invoice itself
      • POSTRefresh the eInvoices that belong to this invoice and get the invoice itself
      • GETGet the eInvoice that was submitted to the Tax Authority
      • PATCHPatch the eInvoice that was submitted to the Tax Authority
      • POSTArchive an invoice
      • POSTCancel invoice dunning actions
      • POSTPay the invoice using customer stored payment method
      • POSTRefund a credit invoice via the original payment
  • Event API
LoginSandbox
Transaction APIInvoices

Create a preview invoice

POST
/v:version/invoices/preview
POST
/v:version/invoices/preview
$curl -X POST https://api.solvimon.com/v1/invoices/preview \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "invoice": {
3 "object_type": "string",
4 "id": "string",
5 "invoice_number": "string",
6 "purchase_order_number": "string",
7 "platform_id": "string",
8 "customer_id": "string",
9 "customer_reference": "string",
10 "sales_tax_percentage": "string",
11 "customer": {
12 "object_type": "string",
13 "id": "string",
14 "created_at": "string",
15 "parent_customer_id": "string",
16 "parent_customer_ids": [
17 "string"
18 ],
19 "reference": "string",
20 "status": "DRAFT",
21 "timezone": "string",
22 "type": "ORGANIZATION",
23 "email": "string",
24 "notification_preferences": [
25 {
26 "type": "INVOICE",
27 "channels": [
28 {
29 "type": "EMAIL",
30 "enabled": true
31 }
32 ]
33 }
34 ],
35 "locale": "string",
36 "individual": {
37 "name": {
38 "first_name": "string",
39 "last_name": "string",
40 "infix": "string"
41 },
42 "residential_address": {
43 "line1": "string",
44 "line2": "string",
45 "city": "string",
46 "postal_code": "string",
47 "state": "string",
48 "country": "AD"
49 }
50 },
51 "organization": {
52 "legal_name": "string",
53 "tax_id": "string",
54 "tax_ids": [
55 {
56 "id": "string",
57 "type": "GENERIC_TAX_ID",
58 "display_name": "string",
59 "tax_id_validation_result": {
60 "id": "string",
61 "validation_date": "string",
62 "source": "string",
63 "valid": "VALID",
64 "message": "string"
65 }
66 }
67 ],
68 "registration_number": "string",
69 "tax_exempt": true,
70 "tax_exempt_note": "string",
71 "registered_address": {
72 "line1": "string",
73 "line2": "string",
74 "city": "string",
75 "postal_code": "string",
76 "state": "string",
77 "country": "AD"
78 },
79 "tax_registrations": [
80 {
81 "id": "string",
82 "description": "string",
83 "tax_id": "string",
84 "tax_ids": [
85 {
86 "id": "string",
87 "type": "GENERIC_TAX_ID",
88 "display_name": "string",
89 "tax_id_validation_result": {
90 "id": "string",
91 "validation_date": "string",
92 "source": "string",
93 "valid": "VALID",
94 "message": "string"
95 }
96 }
97 ],
98 "registration_number": "string",
99 "registered_address": {
100 "line1": "string",
101 "line2": "string",
102 "city": "string",
103 "postal_code": "string",
104 "state": "string",
105 "country": "AD"
106 }
107 }
108 ]
109 },
110 "custom_fields": [
111 {
112 "id": "string",
113 "reference": "string",
114 "value": "string",
115 "values": [
116 "string"
117 ],
118 "integration_details": {
119 "id": "string",
120 "reference": "string",
121 "payment_gateway_variant": "ADYEN",
122 "adyen": {
123 "recurring_detail_reference": "string"
124 },
125 "stripe": {
126 "payment_method_id": "string"
127 }
128 }
129 }
130 ],
131 "processing_only": true,
132 "pricing_plan_subscription_selector": {
133 "data": [
134 {
135 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
136 "value": "string"
137 }
138 ],
139 "rules": [
140 {
141 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
142 "type": "EQUALS"
143 }
144 ],
145 "filters": [
146 {
147 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
148 "type": "EQUALS",
149 "value": "string"
150 }
151 ],
152 "fallback": "LATEST"
153 },
154 "linked_integrations": [
155 {
156 "id": "string",
157 "link_details": [
158 {
159 "url": "string",
160 "custom_field_name": "string"
161 }
162 ]
163 }
164 ],
165 "roles": [
166 "DEFAULT"
167 ],
168 "seller_details": {
169 "default_billing_entity_id": "string"
170 }
171 },
172 "billing_entity": {
173 "object_type": "string",
174 "id": "string",
175 "created_at": "string",
176 "reference": "string",
177 "status": "string",
178 "timezone": "string",
179 "legal_name": "string",
180 "tax_id": "string",
181 "tax_ids": [
182 {
183 "id": "string",
184 "type": "GENERIC_TAX_ID",
185 "display_name": "string",
186 "tax_id_validation_result": {
187 "id": "string",
188 "validation_date": "string",
189 "source": "string",
190 "valid": "VALID",
191 "message": "string"
192 }
193 }
194 ],
195 "registration_number": "string",
196 "registered_address": {
197 "line1": "string",
198 "line2": "string",
199 "city": "string",
200 "postal_code": "string",
201 "state": "string",
202 "country": "AD"
203 },
204 "email": "string",
205 "tax_settings": {
206 "apply_local_vat_for_missing_tax_id": true
207 },
208 "tax_registrations": [
209 {
210 "id": "string",
211 "description": "string",
212 "tax_id": "string",
213 "tax_ids": [
214 {
215 "id": "string",
216 "type": "GENERIC_TAX_ID",
217 "display_name": "string",
218 "tax_id_validation_result": {
219 "id": "string",
220 "validation_date": "string",
221 "source": "string",
222 "valid": "VALID",
223 "message": "string"
224 }
225 }
226 ],
227 "registration_number": "string",
228 "registered_address": {
229 "line1": "string",
230 "line2": "string",
231 "city": "string",
232 "postal_code": "string",
233 "state": "string",
234 "country": "AD"
235 }
236 }
237 ],
238 "custom_fields": [
239 {
240 "id": "string",
241 "reference": "string",
242 "value": "string",
243 "values": [
244 "string"
245 ],
246 "integration_details": {
247 "id": "string",
248 "reference": "string",
249 "payment_gateway_variant": "ADYEN",
250 "adyen": {
251 "recurring_detail_reference": "string"
252 },
253 "stripe": {
254 "payment_method_id": "string"
255 }
256 }
257 }
258 ],
259 "default_customer_country_selector": [
260 "AD"
261 ],
262 "default_billing_currency_selector": [
263 "AED"
264 ],
265 "linked_integrations": [
266 {
267 "id": "string",
268 "link_details": [
269 {
270 "url": "string",
271 "custom_field_name": "string"
272 }
273 ]
274 }
275 ]
276 },
277 "status": "string",
278 "on_hold": true,
279 "type": "STANDARD",
280 "created_at": "string",
281 "updated_at": "string",
282 "invoice_date": "2024-01-15T09:30:00Z",
283 "delivery_date": "string",
284 "due_date": "2024-01-15T09:30:00Z",
285 "billing_period_date": "string",
286 "billing_currency": "string",
287 "invoice_amount_including_tax": {
288 "quantity": "string",
289 "currency": "AED"
290 },
291 "open_invoice_amount": {
292 "quantity": "string",
293 "currency": "AED"
294 },
295 "closed_invoice_amount": {
296 "quantity": "string",
297 "currency": "AED"
298 },
299 "paid_invoice_amount": {
300 "quantity": "string",
301 "currency": "AED"
302 },
303 "timezone": "string",
304 "billing_period": {
305 "type": "DAY",
306 "value": 1
307 },
308 "pricing_plan_subscription_ids": [
309 "string"
310 ],
311 "pricing_amount_type": "EXCLUDING_TAX",
312 "periods": [
313 {
314 "period_order": 1,
315 "amount_excluding_tax": {
316 "quantity": "string",
317 "currency": "AED"
318 },
319 "amount_including_tax": {
320 "quantity": "string",
321 "currency": "AED"
322 },
323 "billing_period": {
324 "type": "DAY",
325 "value": 1
326 },
327 "start_at": "string",
328 "end_at": "string",
329 "tax_categories": [
330 {
331 "base_amount": {
332 "quantity": "string",
333 "currency": "AED"
334 },
335 "tax_amount": {
336 "quantity": "string",
337 "currency": "AED"
338 },
339 "total_amount": {
340 "quantity": "string",
341 "currency": "AED"
342 },
343 "category": "string",
344 "local_amounts": {
345 "base_amount": {
346 "quantity": "string",
347 "currency": "AED"
348 },
349 "tax_amount": {
350 "quantity": "string",
351 "currency": "AED"
352 },
353 "total_amount": {
354 "quantity": "string",
355 "currency": "AED"
356 },
357 "used_exchange_rate": {
358 "currency": "string",
359 "base_currency": "string",
360 "rate_timestamp": "string",
361 "rate": "string",
362 "source": "string"
363 },
364 "display": true
365 },
366 "notes": [
367 "string"
368 ],
369 "rates": [
370 {
371 "name": "string",
372 "percentage": "string",
373 "tax_amount": {
374 "quantity": "string",
375 "currency": "AED"
376 }
377 }
378 ],
379 "percentage": "string",
380 "name": "string"
381 }
382 ],
383 "groups": [
384 {
385 "group_order": 1,
386 "amount_excluding_tax": {
387 "quantity": "string",
388 "currency": "AED"
389 },
390 "amount_including_tax": {
391 "quantity": "string",
392 "currency": "AED"
393 },
394 "billing_period": {
395 "type": "DAY",
396 "value": 1
397 },
398 "start_at": "string",
399 "end_at": "string",
400 "type": "string",
401 "product_category": {
402 "object_type": "string",
403 "id": "string",
404 "name": "string",
405 "reference": "string",
406 "description": "string",
407 "tax_category": "STANDARD",
408 "display_order": 1,
409 "customer_id": "string"
410 },
411 "products": [
412 {
413 "object_type": "string",
414 "id": "string",
415 "category_id": "string",
416 "category": {
417 "object_type": "string",
418 "id": "string",
419 "name": "string",
420 "reference": "string",
421 "description": "string",
422 "tax_category": "STANDARD",
423 "display_order": 1,
424 "customer_id": "string"
425 },
426 "parent_product_id": "string",
427 "name": "string",
428 "reference": "string",
429 "description": "string",
430 "status": "DRAFT",
431 "product_type": "DEFAULT",
432 "tax_category": "STANDARD",
433 "features": [
434 {
435 "id": "string",
436 "reference": "string"
437 }
438 ],
439 "custom_fields": [
440 {
441 "id": "string",
442 "reference": "string",
443 "value": "string",
444 "values": [
445 "string"
446 ],
447 "integration_details": {
448 "id": "string",
449 "reference": "string",
450 "payment_gateway_variant": "ADYEN",
451 "adyen": {
452 "recurring_detail_reference": "string"
453 },
454 "stripe": {
455 "payment_method_id": "string"
456 }
457 }
458 }
459 ],
460 "display_order": 1,
461 "linked_integrations": [
462 {
463 "id": "string",
464 "link_details": [
465 {
466 "url": "string",
467 "custom_field_name": "string"
468 }
469 ]
470 }
471 ],
472 "billing_entity_id": "string",
473 "customer_id": "string"
474 }
475 ],
476 "pricing": {
477 "id": "string",
478 "name": "string"
479 },
480 "description": "string",
481 "pricing_plan_subscription_id": "string",
482 "pricing_plan_schedule_id": "string",
483 "forwarded_from_customer_id": "string",
484 "tax_categories": [
485 {
486 "base_amount": {
487 "quantity": "string",
488 "currency": "AED"
489 },
490 "tax_amount": {
491 "quantity": "string",
492 "currency": "AED"
493 },
494 "total_amount": {
495 "quantity": "string",
496 "currency": "AED"
497 },
498 "category": "string",
499 "local_amounts": {
500 "base_amount": {
501 "quantity": "string",
502 "currency": "AED"
503 },
504 "tax_amount": {
505 "quantity": "string",
506 "currency": "AED"
507 },
508 "total_amount": {
509 "quantity": "string",
510 "currency": "AED"
511 },
512 "used_exchange_rate": {
513 "currency": "string",
514 "base_currency": "string",
515 "rate_timestamp": "string",
516 "rate": "string",
517 "source": "string"
518 },
519 "display": true
520 },
521 "notes": [
522 "string"
523 ],
524 "rates": [
525 {
526 "name": "string",
527 "percentage": "string",
528 "tax_amount": {
529 "quantity": "string",
530 "currency": "AED"
531 }
532 }
533 ],
534 "percentage": "string",
535 "name": "string"
536 }
537 ],
538 "lines": [
539 {
540 "id": "string",
541 "line_order": 1,
542 "description": "string",
543 "pricing_item_id": "string",
544 "pricing_item_config_id": "string",
545 "product_items": [
546 {
547 "object_type": "string",
548 "id": "string",
549 "product_id": "string",
550 "product": {
551 "object_type": "string",
552 "id": "string",
553 "category_id": "string",
554 "category": {
555 "object_type": "string",
556 "id": "string",
557 "name": "string",
558 "reference": "string",
559 "description": "string",
560 "tax_category": "STANDARD",
561 "display_order": 1,
562 "customer_id": "string"
563 },
564 "parent_product_id": "string",
565 "name": "string",
566 "reference": "string",
567 "description": "string",
568 "status": "DRAFT",
569 "product_type": "DEFAULT",
570 "tax_category": "STANDARD",
571 "features": [
572 {
573 "id": "string",
574 "reference": "string"
575 }
576 ],
577 "custom_fields": [
578 {
579 "id": "string",
580 "reference": "string",
581 "value": "string",
582 "values": [
583 "string"
584 ],
585 "integration_details": {
586 "id": "string",
587 "reference": "string",
588 "payment_gateway_variant": "ADYEN",
589 "adyen": {
590 "recurring_detail_reference": "string"
591 },
592 "stripe": {
593 "payment_method_id": "string"
594 }
595 }
596 }
597 ],
598 "display_order": 1,
599 "linked_integrations": [
600 {
601 "id": "string",
602 "link_details": [
603 {
604 "url": "string",
605 "custom_field_name": "string"
606 }
607 ]
608 }
609 ],
610 "billing_entity_id": "string",
611 "customer_id": "string"
612 },
613 "name": "string",
614 "status": "DRAFT",
615 "reference": "string",
616 "description": "string",
617 "type": "REVENUE",
618 "model_type": "USAGE_BASED",
619 "usage_based": {
620 "meter_value_calculation_id": "string",
621 "meter_value_calculation": {
622 "object_type": "string",
623 "id": "string",
624 "reference": "string",
625 "name": "string",
626 "description": "string",
627 "calculation_type": "SUM",
628 "persist": true,
629 "meter_id": "string",
630 "meter": {
631 "object_type": "string",
632 "id": "string",
633 "reference": "string",
634 "name": "string",
635 "description": "string",
636 "status": "DRAFT",
637 "meter_values": [
638 {
639 "id": "string",
640 "object": {
641 "object_type": "string",
642 "id": "string",
643 "reference": "string",
644 "name": "string",
645 "description": "string",
646 "status": "DRAFT",
647 "type": "NUMBER"
648 },
649 "required": true
650 }
651 ],
652 "meter_properties": [
653 {
654 "id": "string",
655 "object": {
656 "object_type": "string",
657 "id": "string",
658 "reference": "string",
659 "name": "string",
660 "description": "string",
661 "status": "DRAFT",
662 "type": "NUMBER",
663 "enum_values": [
664 "string"
665 ]
666 },
667 "required": true
668 }
669 ]
670 },
671 "meter_value_id": "string",
672 "meter_value": {
673 "object_type": "string",
674 "id": "string",
675 "reference": "string",
676 "name": "string",
677 "description": "string",
678 "status": "DRAFT",
679 "type": "NUMBER"
680 },
681 "meter_property_id": "string",
682 "meter_property": {
683 "object_type": "string",
684 "id": "string",
685 "reference": "string",
686 "name": "string",
687 "description": "string",
688 "status": "DRAFT",
689 "type": "NUMBER",
690 "enum_values": [
691 "string"
692 ]
693 }
694 },
695 "tiering_meter_value_calculation_id": "string",
696 "tiering_meter_value_calculation": {
697 "object_type": "string",
698 "id": "string",
699 "reference": "string",
700 "name": "string",
701 "description": "string",
702 "calculation_type": "SUM",
703 "persist": true,
704 "meter_id": "string",
705 "meter": {
706 "object_type": "string",
707 "id": "string",
708 "reference": "string",
709 "name": "string",
710 "description": "string",
711 "status": "DRAFT",
712 "meter_values": [
713 {
714 "id": "string",
715 "object": {
716 "object_type": "string",
717 "id": "string",
718 "reference": "string",
719 "name": "string",
720 "description": "string",
721 "status": "DRAFT",
722 "type": "NUMBER"
723 },
724 "required": true
725 }
726 ],
727 "meter_properties": [
728 {
729 "id": "string",
730 "object": {
731 "object_type": "string",
732 "id": "string",
733 "reference": "string",
734 "name": "string",
735 "description": "string",
736 "status": "DRAFT",
737 "type": "NUMBER",
738 "enum_values": [
739 "string"
740 ]
741 },
742 "required": true
743 }
744 ]
745 },
746 "meter_value_id": "string",
747 "meter_value": {
748 "object_type": "string",
749 "id": "string",
750 "reference": "string",
751 "name": "string",
752 "description": "string",
753 "status": "DRAFT",
754 "type": "NUMBER"
755 },
756 "meter_property_id": "string",
757 "meter_property": {
758 "object_type": "string",
759 "id": "string",
760 "reference": "string",
761 "name": "string",
762 "description": "string",
763 "status": "DRAFT",
764 "type": "NUMBER",
765 "enum_values": [
766 "string"
767 ]
768 }
769 },
770 "report_meter_value_calculation_ids": [
771 "string"
772 ],
773 "conditions": {
774 "name": "string",
775 "expression": {
776 "operator": "AND",
777 "operands": [
778 {
779 "meter_property": {
780 "id": "string",
781 "reference": "string",
782 "meter_property": {
783 "object_type": "string",
784 "id": "string",
785 "reference": "string",
786 "name": "string",
787 "description": "string",
788 "status": "DRAFT",
789 "type": "NUMBER",
790 "enum_values": [
791 "string"
792 ]
793 },
794 "value": "string",
795 "values": [
796 "string"
797 ],
798 "comparator": "EQUALS"
799 },
800 "expression": {}
801 }
802 ]
803 },
804 "meter_properties": [
805 {
806 "id": "string",
807 "reference": "string",
808 "meter_property": {
809 "object_type": "string",
810 "id": "string",
811 "reference": "string",
812 "name": "string",
813 "description": "string",
814 "status": "DRAFT",
815 "type": "NUMBER",
816 "enum_values": [
817 "string"
818 ]
819 },
820 "value": "string",
821 "values": [
822 "string"
823 ],
824 "comparator": "EQUALS"
825 }
826 ]
827 }
828 },
829 "credits": {
830 "credit_type_id": "string",
831 "credit_type": {
832 "object_type": "string",
833 "id": "string",
834 "reference": "string",
835 "status": "DRAFT",
836 "name": "string",
837 "description": "string",
838 "unit_name": {
839 "singular": "string",
840 "plural": "string"
841 },
842 "created_at": "string",
843 "updated_at": "string"
844 }
845 },
846 "meter_value_calculation": {
847 "object_type": "string",
848 "id": "string",
849 "reference": "string",
850 "name": "string",
851 "description": "string",
852 "calculation_type": "SUM",
853 "persist": true,
854 "meter_id": "string",
855 "meter": {
856 "object_type": "string",
857 "id": "string",
858 "reference": "string",
859 "name": "string",
860 "description": "string",
861 "status": "DRAFT",
862 "meter_values": [
863 {
864 "id": "string",
865 "object": {
866 "object_type": "string",
867 "id": "string",
868 "reference": "string",
869 "name": "string",
870 "description": "string",
871 "status": "DRAFT",
872 "type": "NUMBER"
873 },
874 "required": true
875 }
876 ],
877 "meter_properties": [
878 {
879 "id": "string",
880 "object": {
881 "object_type": "string",
882 "id": "string",
883 "reference": "string",
884 "name": "string",
885 "description": "string",
886 "status": "DRAFT",
887 "type": "NUMBER",
888 "enum_values": [
889 "string"
890 ]
891 },
892 "required": true
893 }
894 ]
895 },
896 "meter_value_id": "string",
897 "meter_value": {
898 "object_type": "string",
899 "id": "string",
900 "reference": "string",
901 "name": "string",
902 "description": "string",
903 "status": "DRAFT",
904 "type": "NUMBER"
905 },
906 "meter_property_id": "string",
907 "meter_property": {
908 "object_type": "string",
909 "id": "string",
910 "reference": "string",
911 "name": "string",
912 "description": "string",
913 "status": "DRAFT",
914 "type": "NUMBER",
915 "enum_values": [
916 "string"
917 ]
918 }
919 },
920 "tax_category": "STANDARD",
921 "display_order": 1,
922 "unit_name": {
923 "singular": "string",
924 "plural": "string"
925 },
926 "custom_fields": [
927 {
928 "id": "string",
929 "reference": "string",
930 "value": "string",
931 "values": [
932 "string"
933 ],
934 "integration_details": {
935 "id": "string",
936 "reference": "string",
937 "payment_gateway_variant": "ADYEN",
938 "adyen": {
939 "recurring_detail_reference": "string"
940 },
941 "stripe": {
942 "payment_method_id": "string"
943 }
944 }
945 }
946 ],
947 "customer_id": "string",
948 "meter_value_calculation_id": "string",
949 "report_meter_value_calculation_ids": [
950 "string"
951 ]
952 }
953 ],
954 "type": "string",
955 "pricing_type": "string",
956 "commitment_type": "string",
957 "discount_type": "string",
958 "coupon_data": {
959 "coupon_id": "string",
960 "promotion_code_id": "string"
961 },
962 "tax_categories": [
963 {
964 "base_amount": {
965 "quantity": "string",
966 "currency": "AED"
967 },
968 "tax_amount": {
969 "quantity": "string",
970 "currency": "AED"
971 },
972 "total_amount": {
973 "quantity": "string",
974 "currency": "AED"
975 },
976 "category": "string",
977 "local_amounts": {
978 "base_amount": {
979 "quantity": "string",
980 "currency": "AED"
981 },
982 "tax_amount": {
983 "quantity": "string",
984 "currency": "AED"
985 },
986 "total_amount": {
987 "quantity": "string",
988 "currency": "AED"
989 },
990 "used_exchange_rate": {
991 "currency": "string",
992 "base_currency": "string",
993 "rate_timestamp": "string",
994 "rate": "string",
995 "source": "string"
996 },
997 "display": true
998 },
999 "notes": [
1000 "string"
1001 ],
1002 "rates": [
1003 {
1004 "name": "string",
1005 "percentage": "string",
1006 "tax_amount": {
1007 "quantity": "string",
1008 "currency": "AED"
1009 }
1010 }
1011 ],
1012 "percentage": "string",
1013 "name": "string"
1014 }
1015 ],
1016 "amount_excluding_tax": {
1017 "quantity": "string",
1018 "currency": "AED"
1019 },
1020 "amount_including_tax": {
1021 "quantity": "string",
1022 "currency": "AED"
1023 },
1024 "conditions": {
1025 "name": "string",
1026 "expression": {
1027 "operator": "AND",
1028 "operands": [
1029 {
1030 "meter_property": {
1031 "id": "string",
1032 "reference": "string",
1033 "meter_property": {
1034 "object_type": "string",
1035 "id": "string",
1036 "reference": "string",
1037 "name": "string",
1038 "description": "string",
1039 "status": "DRAFT",
1040 "type": "NUMBER",
1041 "enum_values": [
1042 "string"
1043 ]
1044 },
1045 "value": "string",
1046 "values": [
1047 "string"
1048 ],
1049 "comparator": "EQUALS"
1050 },
1051 "expression": {}
1052 }
1053 ]
1054 },
1055 "meter_properties": [
1056 {
1057 "id": "string",
1058 "reference": "string",
1059 "meter_property": {
1060 "object_type": "string",
1061 "id": "string",
1062 "reference": "string",
1063 "name": "string",
1064 "description": "string",
1065 "status": "DRAFT",
1066 "type": "NUMBER",
1067 "enum_values": [
1068 "string"
1069 ]
1070 },
1071 "value": "string",
1072 "values": [
1073 "string"
1074 ],
1075 "comparator": "EQUALS"
1076 }
1077 ]
1078 },
1079 "meter_value": {
1080 "reference": "string",
1081 "type": "string",
1082 "number": "string",
1083 "amount": {
1084 "quantity": "string",
1085 "currency": "AED"
1086 }
1087 },
1088 "details": {
1089 "amount": {
1090 "quantity": "string",
1091 "currency": "AED"
1092 },
1093 "pricing_currency": "string",
1094 "pricing_amount": {
1095 "quantity": "string",
1096 "currency": "AED"
1097 },
1098 "conversion": {
1099 "credits": {
1100 "quantity": "string",
1101 "credit_type_id": "string"
1102 },
1103 "convert_from_meter_value_id": "string"
1104 },
1105 "band": {
1106 "amount": {
1107 "quantity": "string",
1108 "currency": "AED"
1109 },
1110 "percentage": "string",
1111 "credits": {
1112 "quantity": "string",
1113 "credit_type_id": "string"
1114 },
1115 "maximum_amount": {
1116 "quantity": "string",
1117 "currency": "AED"
1118 },
1119 "minimum_amount": {
1120 "quantity": "string",
1121 "currency": "AED"
1122 },
1123 "maximum_number": "string",
1124 "minimum_number": "string",
1125 "block_size": {
1126 "number": "string",
1127 "amount": {
1128 "quantity": "string",
1129 "currency": "AED"
1130 },
1131 "count": "string"
1132 },
1133 "tier_lower_bound": {
1134 "number": "string",
1135 "amount": {
1136 "quantity": "string",
1137 "currency": "AED"
1138 },
1139 "count": "string"
1140 },
1141 "tier_top_bound": {
1142 "number": "string",
1143 "amount": {
1144 "quantity": "string",
1145 "currency": "AED"
1146 },
1147 "count": "string"
1148 },
1149 "volume_share": "string",
1150 "included_volume": {
1151 "number": "string",
1152 "amount": {
1153 "quantity": "string",
1154 "currency": "AED"
1155 },
1156 "count": "string"
1157 }
1158 },
1159 "meter_value": {
1160 "id": "string",
1161 "reference": "string",
1162 "number": "string",
1163 "amount": {
1164 "quantity": "string",
1165 "currency": "AED"
1166 },
1167 "count": "string",
1168 "ratio": "string",
1169 "type": "NUMBER"
1170 },
1171 "tiering_meter_value": {
1172 "id": "string",
1173 "reference": "string",
1174 "number": "string",
1175 "amount": {
1176 "quantity": "string",
1177 "currency": "AED"
1178 },
1179 "count": "string",
1180 "ratio": "string",
1181 "type": "NUMBER"
1182 },
1183 "price_bound": "string",
1184 "meter_values": [
1185 {
1186 "number": "string",
1187 "amount": {
1188 "quantity": "string",
1189 "currency": "AED"
1190 },
1191 "amount_in_pricing_currency": {
1192 "quantity": "string",
1193 "currency": "AED"
1194 },
1195 "count": 1,
1196 "ratio": "string"
1197 }
1198 ],
1199 "report_meter_values": [
1200 {
1201 "meter_value_calculation_id": "string",
1202 "number": "string",
1203 "amount": {
1204 "quantity": "string",
1205 "currency": "AED"
1206 },
1207 "amount_in_pricing_currency": {
1208 "quantity": "string",
1209 "currency": "AED"
1210 },
1211 "count": "string",
1212 "ratio": "string"
1213 }
1214 ],
1215 "description": "string",
1216 "used_exchange_rates": [
1217 {
1218 "currency": "string",
1219 "base_currency": "string",
1220 "rate_timestamp": "string",
1221 "rate": "string",
1222 "source": "string"
1223 }
1224 ],
1225 "included_volume_details": {
1226 "included_volume": {
1227 "id": "string",
1228 "reference": "string",
1229 "number": "string",
1230 "amount": {
1231 "quantity": "string",
1232 "currency": "AED"
1233 },
1234 "count": "string",
1235 "ratio": "string",
1236 "type": "NUMBER"
1237 },
1238 "available_included_volume": {
1239 "id": "string",
1240 "reference": "string",
1241 "number": "string",
1242 "amount": {
1243 "quantity": "string",
1244 "currency": "AED"
1245 },
1246 "count": "string",
1247 "ratio": "string",
1248 "type": "NUMBER"
1249 },
1250 "period_volume": {
1251 "id": "string",
1252 "reference": "string",
1253 "number": "string",
1254 "amount": {
1255 "quantity": "string",
1256 "currency": "AED"
1257 },
1258 "count": "string",
1259 "ratio": "string",
1260 "type": "NUMBER"
1261 }
1262 },
1263 "wallet_balance_details": {
1264 "used_wallet_credits": {
1265 "quantity": "string",
1266 "credit_type_id": "string"
1267 },
1268 "left_wallet_credits": {
1269 "quantity": "string",
1270 "credit_type_id": "string"
1271 },
1272 "available_wallet_credits": {
1273 "quantity": "string",
1274 "credit_type_id": "string"
1275 }
1276 },
1277 "split_pricing": {
1278 "meter_properties": [
1279 {
1280 "id": "string",
1281 "reference": "string",
1282 "value": "string",
1283 "meter_property": {
1284 "object_type": "string",
1285 "id": "string",
1286 "reference": "string",
1287 "name": "string",
1288 "description": "string",
1289 "status": "DRAFT",
1290 "type": "NUMBER",
1291 "enum_values": [
1292 "string"
1293 ]
1294 }
1295 }
1296 ]
1297 },
1298 "meter_value_share_of_total": "string",
1299 "meter_value_share_of_processing_only_customer_total": "string"
1300 },
1301 "sub_lines": [
1302 {
1303 "sub_line_order": 1,
1304 "details": {
1305 "amount": {
1306 "quantity": "string",
1307 "currency": "AED"
1308 },
1309 "pricing_currency": "string",
1310 "pricing_amount": {
1311 "quantity": "string",
1312 "currency": "AED"
1313 },
1314 "conversion": {
1315 "credits": {
1316 "quantity": "string",
1317 "credit_type_id": "string"
1318 },
1319 "convert_from_meter_value_id": "string"
1320 },
1321 "band": {
1322 "amount": {
1323 "quantity": "string",
1324 "currency": "AED"
1325 },
1326 "percentage": "string",
1327 "credits": {
1328 "quantity": "string",
1329 "credit_type_id": "string"
1330 },
1331 "maximum_amount": {
1332 "quantity": "string",
1333 "currency": "AED"
1334 },
1335 "minimum_amount": {
1336 "quantity": "string",
1337 "currency": "AED"
1338 },
1339 "maximum_number": "string",
1340 "minimum_number": "string",
1341 "block_size": {
1342 "number": "string",
1343 "amount": {
1344 "quantity": "string",
1345 "currency": "AED"
1346 },
1347 "count": "string"
1348 },
1349 "tier_lower_bound": {
1350 "number": "string",
1351 "amount": {
1352 "quantity": "string",
1353 "currency": "AED"
1354 },
1355 "count": "string"
1356 },
1357 "tier_top_bound": {
1358 "number": "string",
1359 "amount": {
1360 "quantity": "string",
1361 "currency": "AED"
1362 },
1363 "count": "string"
1364 },
1365 "volume_share": "string",
1366 "included_volume": {
1367 "number": "string",
1368 "amount": {
1369 "quantity": "string",
1370 "currency": "AED"
1371 },
1372 "count": "string"
1373 }
1374 },
1375 "meter_value": {
1376 "id": "string",
1377 "reference": "string",
1378 "number": "string",
1379 "amount": {
1380 "quantity": "string",
1381 "currency": "AED"
1382 },
1383 "count": "string",
1384 "ratio": "string",
1385 "type": "NUMBER"
1386 },
1387 "tiering_meter_value": {
1388 "id": "string",
1389 "reference": "string",
1390 "number": "string",
1391 "amount": {
1392 "quantity": "string",
1393 "currency": "AED"
1394 },
1395 "count": "string",
1396 "ratio": "string",
1397 "type": "NUMBER"
1398 },
1399 "price_bound": "string",
1400 "meter_values": [
1401 {
1402 "number": "string",
1403 "amount": {
1404 "quantity": "string",
1405 "currency": "AED"
1406 },
1407 "amount_in_pricing_currency": {
1408 "quantity": "string",
1409 "currency": "AED"
1410 },
1411 "count": 1,
1412 "ratio": "string"
1413 }
1414 ],
1415 "report_meter_values": [
1416 {
1417 "meter_value_calculation_id": "string",
1418 "number": "string",
1419 "amount": {
1420 "quantity": "string",
1421 "currency": "AED"
1422 },
1423 "amount_in_pricing_currency": {
1424 "quantity": "string",
1425 "currency": "AED"
1426 },
1427 "count": "string",
1428 "ratio": "string"
1429 }
1430 ],
1431 "description": "string",
1432 "used_exchange_rates": [
1433 {
1434 "currency": "string",
1435 "base_currency": "string",
1436 "rate_timestamp": "string",
1437 "rate": "string",
1438 "source": "string"
1439 }
1440 ],
1441 "included_volume_details": {
1442 "included_volume": {
1443 "id": "string",
1444 "reference": "string",
1445 "number": "string",
1446 "amount": {
1447 "quantity": "string",
1448 "currency": "AED"
1449 },
1450 "count": "string",
1451 "ratio": "string",
1452 "type": "NUMBER"
1453 },
1454 "available_included_volume": {
1455 "id": "string",
1456 "reference": "string",
1457 "number": "string",
1458 "amount": {
1459 "quantity": "string",
1460 "currency": "AED"
1461 },
1462 "count": "string",
1463 "ratio": "string",
1464 "type": "NUMBER"
1465 },
1466 "period_volume": {
1467 "id": "string",
1468 "reference": "string",
1469 "number": "string",
1470 "amount": {
1471 "quantity": "string",
1472 "currency": "AED"
1473 },
1474 "count": "string",
1475 "ratio": "string",
1476 "type": "NUMBER"
1477 }
1478 },
1479 "wallet_balance_details": {
1480 "used_wallet_credits": {
1481 "quantity": "string",
1482 "credit_type_id": "string"
1483 },
1484 "left_wallet_credits": {
1485 "quantity": "string",
1486 "credit_type_id": "string"
1487 },
1488 "available_wallet_credits": {
1489 "quantity": "string",
1490 "credit_type_id": "string"
1491 }
1492 },
1493 "split_pricing": {
1494 "meter_properties": [
1495 {
1496 "id": "string",
1497 "reference": "string",
1498 "value": "string",
1499 "meter_property": {
1500 "object_type": "string",
1501 "id": "string",
1502 "reference": "string",
1503 "name": "string",
1504 "description": "string",
1505 "status": "DRAFT",
1506 "type": "NUMBER",
1507 "enum_values": [
1508 "string"
1509 ]
1510 }
1511 }
1512 ]
1513 },
1514 "meter_value_share_of_total": "string",
1515 "meter_value_share_of_processing_only_customer_total": "string"
1516 },
1517 "description": "string",
1518 "processing_only_customer_id": "string",
1519 "type": "USAGE_BASED_CONVERSION",
1520 "usage_based_conversion": {
1521 "conditions": {
1522 "name": "string",
1523 "expression": {
1524 "operator": "AND",
1525 "operands": [
1526 {
1527 "meter_property": {
1528 "id": "string",
1529 "reference": "string",
1530 "meter_property": {
1531 "object_type": "string",
1532 "id": "string",
1533 "reference": "string",
1534 "name": "string",
1535 "description": "string",
1536 "status": "DRAFT",
1537 "type": "NUMBER",
1538 "enum_values": [
1539 "string"
1540 ]
1541 },
1542 "value": "string",
1543 "values": [
1544 "string"
1545 ],
1546 "comparator": "EQUALS"
1547 },
1548 "expression": {}
1549 }
1550 ]
1551 },
1552 "meter_properties": [
1553 {
1554 "id": "string",
1555 "reference": "string",
1556 "meter_property": {
1557 "object_type": "string",
1558 "id": "string",
1559 "reference": "string",
1560 "name": "string",
1561 "description": "string",
1562 "status": "DRAFT",
1563 "type": "NUMBER",
1564 "enum_values": [
1565 "string"
1566 ]
1567 },
1568 "value": "string",
1569 "values": [
1570 "string"
1571 ],
1572 "comparator": "EQUALS"
1573 }
1574 ]
1575 }
1576 },
1577 "processing_only_customer_resource_id": "string"
1578 }
1579 ]
1580 }
1581 ],
1582 "billing_customer_id": "string"
1583 }
1584 ]
1585 }
1586 ],
1587 "closed_periods": [
1588 {
1589 "period_order": 1,
1590 "amount_excluding_tax": {
1591 "quantity": "string",
1592 "currency": "AED"
1593 },
1594 "amount_including_tax": {
1595 "quantity": "string",
1596 "currency": "AED"
1597 },
1598 "billing_period": {
1599 "type": "DAY",
1600 "value": 1
1601 },
1602 "start_at": "string",
1603 "end_at": "string",
1604 "tax_categories": [
1605 {
1606 "base_amount": {
1607 "quantity": "string",
1608 "currency": "AED"
1609 },
1610 "tax_amount": {
1611 "quantity": "string",
1612 "currency": "AED"
1613 },
1614 "total_amount": {
1615 "quantity": "string",
1616 "currency": "AED"
1617 },
1618 "category": "string",
1619 "local_amounts": {
1620 "base_amount": {
1621 "quantity": "string",
1622 "currency": "AED"
1623 },
1624 "tax_amount": {
1625 "quantity": "string",
1626 "currency": "AED"
1627 },
1628 "total_amount": {
1629 "quantity": "string",
1630 "currency": "AED"
1631 },
1632 "used_exchange_rate": {
1633 "currency": "string",
1634 "base_currency": "string",
1635 "rate_timestamp": "string",
1636 "rate": "string",
1637 "source": "string"
1638 },
1639 "display": true
1640 },
1641 "notes": [
1642 "string"
1643 ],
1644 "rates": [
1645 {
1646 "name": "string",
1647 "percentage": "string",
1648 "tax_amount": {
1649 "quantity": "string",
1650 "currency": "AED"
1651 }
1652 }
1653 ],
1654 "percentage": "string",
1655 "name": "string"
1656 }
1657 ],
1658 "groups": [
1659 {
1660 "group_order": 1,
1661 "amount_excluding_tax": {
1662 "quantity": "string",
1663 "currency": "AED"
1664 },
1665 "amount_including_tax": {
1666 "quantity": "string",
1667 "currency": "AED"
1668 },
1669 "billing_period": {
1670 "type": "DAY",
1671 "value": 1
1672 },
1673 "start_at": "string",
1674 "end_at": "string",
1675 "type": "string",
1676 "product_category": {
1677 "object_type": "string",
1678 "id": "string",
1679 "name": "string",
1680 "reference": "string",
1681 "description": "string",
1682 "tax_category": "STANDARD",
1683 "display_order": 1,
1684 "customer_id": "string"
1685 },
1686 "products": [
1687 {
1688 "object_type": "string",
1689 "id": "string",
1690 "category_id": "string",
1691 "category": {
1692 "object_type": "string",
1693 "id": "string",
1694 "name": "string",
1695 "reference": "string",
1696 "description": "string",
1697 "tax_category": "STANDARD",
1698 "display_order": 1,
1699 "customer_id": "string"
1700 },
1701 "parent_product_id": "string",
1702 "name": "string",
1703 "reference": "string",
1704 "description": "string",
1705 "status": "DRAFT",
1706 "product_type": "DEFAULT",
1707 "tax_category": "STANDARD",
1708 "features": [
1709 {
1710 "id": "string",
1711 "reference": "string"
1712 }
1713 ],
1714 "custom_fields": [
1715 {
1716 "id": "string",
1717 "reference": "string",
1718 "value": "string",
1719 "values": [
1720 "string"
1721 ],
1722 "integration_details": {
1723 "id": "string",
1724 "reference": "string",
1725 "payment_gateway_variant": "ADYEN",
1726 "adyen": {
1727 "recurring_detail_reference": "string"
1728 },
1729 "stripe": {
1730 "payment_method_id": "string"
1731 }
1732 }
1733 }
1734 ],
1735 "display_order": 1,
1736 "linked_integrations": [
1737 {
1738 "id": "string",
1739 "link_details": [
1740 {
1741 "url": "string",
1742 "custom_field_name": "string"
1743 }
1744 ]
1745 }
1746 ],
1747 "billing_entity_id": "string",
1748 "customer_id": "string"
1749 }
1750 ],
1751 "pricing": {
1752 "id": "string",
1753 "name": "string"
1754 },
1755 "description": "string",
1756 "pricing_plan_subscription_id": "string",
1757 "pricing_plan_schedule_id": "string",
1758 "forwarded_from_customer_id": "string",
1759 "tax_categories": [
1760 {
1761 "base_amount": {
1762 "quantity": "string",
1763 "currency": "AED"
1764 },
1765 "tax_amount": {
1766 "quantity": "string",
1767 "currency": "AED"
1768 },
1769 "total_amount": {
1770 "quantity": "string",
1771 "currency": "AED"
1772 },
1773 "category": "string",
1774 "local_amounts": {
1775 "base_amount": {
1776 "quantity": "string",
1777 "currency": "AED"
1778 },
1779 "tax_amount": {
1780 "quantity": "string",
1781 "currency": "AED"
1782 },
1783 "total_amount": {
1784 "quantity": "string",
1785 "currency": "AED"
1786 },
1787 "used_exchange_rate": {
1788 "currency": "string",
1789 "base_currency": "string",
1790 "rate_timestamp": "string",
1791 "rate": "string",
1792 "source": "string"
1793 },
1794 "display": true
1795 },
1796 "notes": [
1797 "string"
1798 ],
1799 "rates": [
1800 {
1801 "name": "string",
1802 "percentage": "string",
1803 "tax_amount": {
1804 "quantity": "string",
1805 "currency": "AED"
1806 }
1807 }
1808 ],
1809 "percentage": "string",
1810 "name": "string"
1811 }
1812 ],
1813 "lines": [
1814 {
1815 "id": "string",
1816 "line_order": 1,
1817 "description": "string",
1818 "pricing_item_id": "string",
1819 "pricing_item_config_id": "string",
1820 "product_items": [
1821 {
1822 "object_type": "string",
1823 "id": "string",
1824 "product_id": "string",
1825 "product": {
1826 "object_type": "string",
1827 "id": "string",
1828 "category_id": "string",
1829 "category": {
1830 "object_type": "string",
1831 "id": "string",
1832 "name": "string",
1833 "reference": "string",
1834 "description": "string",
1835 "tax_category": "STANDARD",
1836 "display_order": 1,
1837 "customer_id": "string"
1838 },
1839 "parent_product_id": "string",
1840 "name": "string",
1841 "reference": "string",
1842 "description": "string",
1843 "status": "DRAFT",
1844 "product_type": "DEFAULT",
1845 "tax_category": "STANDARD",
1846 "features": [
1847 {
1848 "id": "string",
1849 "reference": "string"
1850 }
1851 ],
1852 "custom_fields": [
1853 {
1854 "id": "string",
1855 "reference": "string",
1856 "value": "string",
1857 "values": [
1858 "string"
1859 ],
1860 "integration_details": {
1861 "id": "string",
1862 "reference": "string",
1863 "payment_gateway_variant": "ADYEN",
1864 "adyen": {
1865 "recurring_detail_reference": "string"
1866 },
1867 "stripe": {
1868 "payment_method_id": "string"
1869 }
1870 }
1871 }
1872 ],
1873 "display_order": 1,
1874 "linked_integrations": [
1875 {
1876 "id": "string",
1877 "link_details": [
1878 {
1879 "url": "string",
1880 "custom_field_name": "string"
1881 }
1882 ]
1883 }
1884 ],
1885 "billing_entity_id": "string",
1886 "customer_id": "string"
1887 },
1888 "name": "string",
1889 "status": "DRAFT",
1890 "reference": "string",
1891 "description": "string",
1892 "type": "REVENUE",
1893 "model_type": "USAGE_BASED",
1894 "usage_based": {
1895 "meter_value_calculation_id": "string",
1896 "meter_value_calculation": {
1897 "object_type": "string",
1898 "id": "string",
1899 "reference": "string",
1900 "name": "string",
1901 "description": "string",
1902 "calculation_type": "SUM",
1903 "persist": true,
1904 "meter_id": "string",
1905 "meter": {
1906 "object_type": "string",
1907 "id": "string",
1908 "reference": "string",
1909 "name": "string",
1910 "description": "string",
1911 "status": "DRAFT",
1912 "meter_values": [
1913 {
1914 "id": "string",
1915 "object": {
1916 "object_type": "string",
1917 "id": "string",
1918 "reference": "string",
1919 "name": "string",
1920 "description": "string",
1921 "status": "DRAFT",
1922 "type": "NUMBER"
1923 },
1924 "required": true
1925 }
1926 ],
1927 "meter_properties": [
1928 {
1929 "id": "string",
1930 "object": {
1931 "object_type": "string",
1932 "id": "string",
1933 "reference": "string",
1934 "name": "string",
1935 "description": "string",
1936 "status": "DRAFT",
1937 "type": "NUMBER",
1938 "enum_values": [
1939 "string"
1940 ]
1941 },
1942 "required": true
1943 }
1944 ]
1945 },
1946 "meter_value_id": "string",
1947 "meter_value": {
1948 "object_type": "string",
1949 "id": "string",
1950 "reference": "string",
1951 "name": "string",
1952 "description": "string",
1953 "status": "DRAFT",
1954 "type": "NUMBER"
1955 },
1956 "meter_property_id": "string",
1957 "meter_property": {
1958 "object_type": "string",
1959 "id": "string",
1960 "reference": "string",
1961 "name": "string",
1962 "description": "string",
1963 "status": "DRAFT",
1964 "type": "NUMBER",
1965 "enum_values": [
1966 "string"
1967 ]
1968 }
1969 },
1970 "tiering_meter_value_calculation_id": "string",
1971 "tiering_meter_value_calculation": {
1972 "object_type": "string",
1973 "id": "string",
1974 "reference": "string",
1975 "name": "string",
1976 "description": "string",
1977 "calculation_type": "SUM",
1978 "persist": true,
1979 "meter_id": "string",
1980 "meter": {
1981 "object_type": "string",
1982 "id": "string",
1983 "reference": "string",
1984 "name": "string",
1985 "description": "string",
1986 "status": "DRAFT",
1987 "meter_values": [
1988 {
1989 "id": "string",
1990 "object": {
1991 "object_type": "string",
1992 "id": "string",
1993 "reference": "string",
1994 "name": "string",
1995 "description": "string",
1996 "status": "DRAFT",
1997 "type": "NUMBER"
1998 },
1999 "required": true
2000 }
2001 ],
2002 "meter_properties": [
2003 {
2004 "id": "string",
2005 "object": {
2006 "object_type": "string",
2007 "id": "string",
2008 "reference": "string",
2009 "name": "string",
2010 "description": "string",
2011 "status": "DRAFT",
2012 "type": "NUMBER",
2013 "enum_values": [
2014 "string"
2015 ]
2016 },
2017 "required": true
2018 }
2019 ]
2020 },
2021 "meter_value_id": "string",
2022 "meter_value": {
2023 "object_type": "string",
2024 "id": "string",
2025 "reference": "string",
2026 "name": "string",
2027 "description": "string",
2028 "status": "DRAFT",
2029 "type": "NUMBER"
2030 },
2031 "meter_property_id": "string",
2032 "meter_property": {
2033 "object_type": "string",
2034 "id": "string",
2035 "reference": "string",
2036 "name": "string",
2037 "description": "string",
2038 "status": "DRAFT",
2039 "type": "NUMBER",
2040 "enum_values": [
2041 "string"
2042 ]
2043 }
2044 },
2045 "report_meter_value_calculation_ids": [
2046 "string"
2047 ],
2048 "conditions": {
2049 "name": "string",
2050 "expression": {
2051 "operator": "AND",
2052 "operands": [
2053 {
2054 "meter_property": {
2055 "id": "string",
2056 "reference": "string",
2057 "meter_property": {
2058 "object_type": "string",
2059 "id": "string",
2060 "reference": "string",
2061 "name": "string",
2062 "description": "string",
2063 "status": "DRAFT",
2064 "type": "NUMBER",
2065 "enum_values": [
2066 "string"
2067 ]
2068 },
2069 "value": "string",
2070 "values": [
2071 "string"
2072 ],
2073 "comparator": "EQUALS"
2074 },
2075 "expression": {}
2076 }
2077 ]
2078 },
2079 "meter_properties": [
2080 {
2081 "id": "string",
2082 "reference": "string",
2083 "meter_property": {
2084 "object_type": "string",
2085 "id": "string",
2086 "reference": "string",
2087 "name": "string",
2088 "description": "string",
2089 "status": "DRAFT",
2090 "type": "NUMBER",
2091 "enum_values": [
2092 "string"
2093 ]
2094 },
2095 "value": "string",
2096 "values": [
2097 "string"
2098 ],
2099 "comparator": "EQUALS"
2100 }
2101 ]
2102 }
2103 },
2104 "credits": {
2105 "credit_type_id": "string",
2106 "credit_type": {
2107 "object_type": "string",
2108 "id": "string",
2109 "reference": "string",
2110 "status": "DRAFT",
2111 "name": "string",
2112 "description": "string",
2113 "unit_name": {
2114 "singular": "string",
2115 "plural": "string"
2116 },
2117 "created_at": "string",
2118 "updated_at": "string"
2119 }
2120 },
2121 "meter_value_calculation": {
2122 "object_type": "string",
2123 "id": "string",
2124 "reference": "string",
2125 "name": "string",
2126 "description": "string",
2127 "calculation_type": "SUM",
2128 "persist": true,
2129 "meter_id": "string",
2130 "meter": {
2131 "object_type": "string",
2132 "id": "string",
2133 "reference": "string",
2134 "name": "string",
2135 "description": "string",
2136 "status": "DRAFT",
2137 "meter_values": [
2138 {
2139 "id": "string",
2140 "object": {
2141 "object_type": "string",
2142 "id": "string",
2143 "reference": "string",
2144 "name": "string",
2145 "description": "string",
2146 "status": "DRAFT",
2147 "type": "NUMBER"
2148 },
2149 "required": true
2150 }
2151 ],
2152 "meter_properties": [
2153 {
2154 "id": "string",
2155 "object": {
2156 "object_type": "string",
2157 "id": "string",
2158 "reference": "string",
2159 "name": "string",
2160 "description": "string",
2161 "status": "DRAFT",
2162 "type": "NUMBER",
2163 "enum_values": [
2164 "string"
2165 ]
2166 },
2167 "required": true
2168 }
2169 ]
2170 },
2171 "meter_value_id": "string",
2172 "meter_value": {
2173 "object_type": "string",
2174 "id": "string",
2175 "reference": "string",
2176 "name": "string",
2177 "description": "string",
2178 "status": "DRAFT",
2179 "type": "NUMBER"
2180 },
2181 "meter_property_id": "string",
2182 "meter_property": {
2183 "object_type": "string",
2184 "id": "string",
2185 "reference": "string",
2186 "name": "string",
2187 "description": "string",
2188 "status": "DRAFT",
2189 "type": "NUMBER",
2190 "enum_values": [
2191 "string"
2192 ]
2193 }
2194 },
2195 "tax_category": "STANDARD",
2196 "display_order": 1,
2197 "unit_name": {
2198 "singular": "string",
2199 "plural": "string"
2200 },
2201 "custom_fields": [
2202 {
2203 "id": "string",
2204 "reference": "string",
2205 "value": "string",
2206 "values": [
2207 "string"
2208 ],
2209 "integration_details": {
2210 "id": "string",
2211 "reference": "string",
2212 "payment_gateway_variant": "ADYEN",
2213 "adyen": {
2214 "recurring_detail_reference": "string"
2215 },
2216 "stripe": {
2217 "payment_method_id": "string"
2218 }
2219 }
2220 }
2221 ],
2222 "customer_id": "string",
2223 "meter_value_calculation_id": "string",
2224 "report_meter_value_calculation_ids": [
2225 "string"
2226 ]
2227 }
2228 ],
2229 "type": "string",
2230 "pricing_type": "string",
2231 "commitment_type": "string",
2232 "discount_type": "string",
2233 "coupon_data": {
2234 "coupon_id": "string",
2235 "promotion_code_id": "string"
2236 },
2237 "tax_categories": [
2238 {
2239 "base_amount": {
2240 "quantity": "string",
2241 "currency": "AED"
2242 },
2243 "tax_amount": {
2244 "quantity": "string",
2245 "currency": "AED"
2246 },
2247 "total_amount": {
2248 "quantity": "string",
2249 "currency": "AED"
2250 },
2251 "category": "string",
2252 "local_amounts": {
2253 "base_amount": {
2254 "quantity": "string",
2255 "currency": "AED"
2256 },
2257 "tax_amount": {
2258 "quantity": "string",
2259 "currency": "AED"
2260 },
2261 "total_amount": {
2262 "quantity": "string",
2263 "currency": "AED"
2264 },
2265 "used_exchange_rate": {
2266 "currency": "string",
2267 "base_currency": "string",
2268 "rate_timestamp": "string",
2269 "rate": "string",
2270 "source": "string"
2271 },
2272 "display": true
2273 },
2274 "notes": [
2275 "string"
2276 ],
2277 "rates": [
2278 {
2279 "name": "string",
2280 "percentage": "string",
2281 "tax_amount": {
2282 "quantity": "string",
2283 "currency": "AED"
2284 }
2285 }
2286 ],
2287 "percentage": "string",
2288 "name": "string"
2289 }
2290 ],
2291 "amount_excluding_tax": {
2292 "quantity": "string",
2293 "currency": "AED"
2294 },
2295 "amount_including_tax": {
2296 "quantity": "string",
2297 "currency": "AED"
2298 },
2299 "conditions": {
2300 "name": "string",
2301 "expression": {
2302 "operator": "AND",
2303 "operands": [
2304 {
2305 "meter_property": {
2306 "id": "string",
2307 "reference": "string",
2308 "meter_property": {
2309 "object_type": "string",
2310 "id": "string",
2311 "reference": "string",
2312 "name": "string",
2313 "description": "string",
2314 "status": "DRAFT",
2315 "type": "NUMBER",
2316 "enum_values": [
2317 "string"
2318 ]
2319 },
2320 "value": "string",
2321 "values": [
2322 "string"
2323 ],
2324 "comparator": "EQUALS"
2325 },
2326 "expression": {}
2327 }
2328 ]
2329 },
2330 "meter_properties": [
2331 {
2332 "id": "string",
2333 "reference": "string",
2334 "meter_property": {
2335 "object_type": "string",
2336 "id": "string",
2337 "reference": "string",
2338 "name": "string",
2339 "description": "string",
2340 "status": "DRAFT",
2341 "type": "NUMBER",
2342 "enum_values": [
2343 "string"
2344 ]
2345 },
2346 "value": "string",
2347 "values": [
2348 "string"
2349 ],
2350 "comparator": "EQUALS"
2351 }
2352 ]
2353 },
2354 "meter_value": {
2355 "reference": "string",
2356 "type": "string",
2357 "number": "string",
2358 "amount": {
2359 "quantity": "string",
2360 "currency": "AED"
2361 }
2362 },
2363 "details": {
2364 "amount": {
2365 "quantity": "string",
2366 "currency": "AED"
2367 },
2368 "pricing_currency": "string",
2369 "pricing_amount": {
2370 "quantity": "string",
2371 "currency": "AED"
2372 },
2373 "conversion": {
2374 "credits": {
2375 "quantity": "string",
2376 "credit_type_id": "string"
2377 },
2378 "convert_from_meter_value_id": "string"
2379 },
2380 "band": {
2381 "amount": {
2382 "quantity": "string",
2383 "currency": "AED"
2384 },
2385 "percentage": "string",
2386 "credits": {
2387 "quantity": "string",
2388 "credit_type_id": "string"
2389 },
2390 "maximum_amount": {
2391 "quantity": "string",
2392 "currency": "AED"
2393 },
2394 "minimum_amount": {
2395 "quantity": "string",
2396 "currency": "AED"
2397 },
2398 "maximum_number": "string",
2399 "minimum_number": "string",
2400 "block_size": {
2401 "number": "string",
2402 "amount": {
2403 "quantity": "string",
2404 "currency": "AED"
2405 },
2406 "count": "string"
2407 },
2408 "tier_lower_bound": {
2409 "number": "string",
2410 "amount": {
2411 "quantity": "string",
2412 "currency": "AED"
2413 },
2414 "count": "string"
2415 },
2416 "tier_top_bound": {
2417 "number": "string",
2418 "amount": {
2419 "quantity": "string",
2420 "currency": "AED"
2421 },
2422 "count": "string"
2423 },
2424 "volume_share": "string",
2425 "included_volume": {
2426 "number": "string",
2427 "amount": {
2428 "quantity": "string",
2429 "currency": "AED"
2430 },
2431 "count": "string"
2432 }
2433 },
2434 "meter_value": {
2435 "id": "string",
2436 "reference": "string",
2437 "number": "string",
2438 "amount": {
2439 "quantity": "string",
2440 "currency": "AED"
2441 },
2442 "count": "string",
2443 "ratio": "string",
2444 "type": "NUMBER"
2445 },
2446 "tiering_meter_value": {
2447 "id": "string",
2448 "reference": "string",
2449 "number": "string",
2450 "amount": {
2451 "quantity": "string",
2452 "currency": "AED"
2453 },
2454 "count": "string",
2455 "ratio": "string",
2456 "type": "NUMBER"
2457 },
2458 "price_bound": "string",
2459 "meter_values": [
2460 {
2461 "number": "string",
2462 "amount": {
2463 "quantity": "string",
2464 "currency": "AED"
2465 },
2466 "amount_in_pricing_currency": {
2467 "quantity": "string",
2468 "currency": "AED"
2469 },
2470 "count": 1,
2471 "ratio": "string"
2472 }
2473 ],
2474 "report_meter_values": [
2475 {
2476 "meter_value_calculation_id": "string",
2477 "number": "string",
2478 "amount": {
2479 "quantity": "string",
2480 "currency": "AED"
2481 },
2482 "amount_in_pricing_currency": {
2483 "quantity": "string",
2484 "currency": "AED"
2485 },
2486 "count": "string",
2487 "ratio": "string"
2488 }
2489 ],
2490 "description": "string",
2491 "used_exchange_rates": [
2492 {
2493 "currency": "string",
2494 "base_currency": "string",
2495 "rate_timestamp": "string",
2496 "rate": "string",
2497 "source": "string"
2498 }
2499 ],
2500 "included_volume_details": {
2501 "included_volume": {
2502 "id": "string",
2503 "reference": "string",
2504 "number": "string",
2505 "amount": {
2506 "quantity": "string",
2507 "currency": "AED"
2508 },
2509 "count": "string",
2510 "ratio": "string",
2511 "type": "NUMBER"
2512 },
2513 "available_included_volume": {
2514 "id": "string",
2515 "reference": "string",
2516 "number": "string",
2517 "amount": {
2518 "quantity": "string",
2519 "currency": "AED"
2520 },
2521 "count": "string",
2522 "ratio": "string",
2523 "type": "NUMBER"
2524 },
2525 "period_volume": {
2526 "id": "string",
2527 "reference": "string",
2528 "number": "string",
2529 "amount": {
2530 "quantity": "string",
2531 "currency": "AED"
2532 },
2533 "count": "string",
2534 "ratio": "string",
2535 "type": "NUMBER"
2536 }
2537 },
2538 "wallet_balance_details": {
2539 "used_wallet_credits": {
2540 "quantity": "string",
2541 "credit_type_id": "string"
2542 },
2543 "left_wallet_credits": {
2544 "quantity": "string",
2545 "credit_type_id": "string"
2546 },
2547 "available_wallet_credits": {
2548 "quantity": "string",
2549 "credit_type_id": "string"
2550 }
2551 },
2552 "split_pricing": {
2553 "meter_properties": [
2554 {
2555 "id": "string",
2556 "reference": "string",
2557 "value": "string",
2558 "meter_property": {
2559 "object_type": "string",
2560 "id": "string",
2561 "reference": "string",
2562 "name": "string",
2563 "description": "string",
2564 "status": "DRAFT",
2565 "type": "NUMBER",
2566 "enum_values": [
2567 "string"
2568 ]
2569 }
2570 }
2571 ]
2572 },
2573 "meter_value_share_of_total": "string",
2574 "meter_value_share_of_processing_only_customer_total": "string"
2575 },
2576 "sub_lines": [
2577 {
2578 "sub_line_order": 1,
2579 "details": {
2580 "amount": {
2581 "quantity": "string",
2582 "currency": "AED"
2583 },
2584 "pricing_currency": "string",
2585 "pricing_amount": {
2586 "quantity": "string",
2587 "currency": "AED"
2588 },
2589 "conversion": {
2590 "credits": {
2591 "quantity": "string",
2592 "credit_type_id": "string"
2593 },
2594 "convert_from_meter_value_id": "string"
2595 },
2596 "band": {
2597 "amount": {
2598 "quantity": "string",
2599 "currency": "AED"
2600 },
2601 "percentage": "string",
2602 "credits": {
2603 "quantity": "string",
2604 "credit_type_id": "string"
2605 },
2606 "maximum_amount": {
2607 "quantity": "string",
2608 "currency": "AED"
2609 },
2610 "minimum_amount": {
2611 "quantity": "string",
2612 "currency": "AED"
2613 },
2614 "maximum_number": "string",
2615 "minimum_number": "string",
2616 "block_size": {
2617 "number": "string",
2618 "amount": {
2619 "quantity": "string",
2620 "currency": "AED"
2621 },
2622 "count": "string"
2623 },
2624 "tier_lower_bound": {
2625 "number": "string",
2626 "amount": {
2627 "quantity": "string",
2628 "currency": "AED"
2629 },
2630 "count": "string"
2631 },
2632 "tier_top_bound": {
2633 "number": "string",
2634 "amount": {
2635 "quantity": "string",
2636 "currency": "AED"
2637 },
2638 "count": "string"
2639 },
2640 "volume_share": "string",
2641 "included_volume": {
2642 "number": "string",
2643 "amount": {
2644 "quantity": "string",
2645 "currency": "AED"
2646 },
2647 "count": "string"
2648 }
2649 },
2650 "meter_value": {
2651 "id": "string",
2652 "reference": "string",
2653 "number": "string",
2654 "amount": {
2655 "quantity": "string",
2656 "currency": "AED"
2657 },
2658 "count": "string",
2659 "ratio": "string",
2660 "type": "NUMBER"
2661 },
2662 "tiering_meter_value": {
2663 "id": "string",
2664 "reference": "string",
2665 "number": "string",
2666 "amount": {
2667 "quantity": "string",
2668 "currency": "AED"
2669 },
2670 "count": "string",
2671 "ratio": "string",
2672 "type": "NUMBER"
2673 },
2674 "price_bound": "string",
2675 "meter_values": [
2676 {
2677 "number": "string",
2678 "amount": {
2679 "quantity": "string",
2680 "currency": "AED"
2681 },
2682 "amount_in_pricing_currency": {
2683 "quantity": "string",
2684 "currency": "AED"
2685 },
2686 "count": 1,
2687 "ratio": "string"
2688 }
2689 ],
2690 "report_meter_values": [
2691 {
2692 "meter_value_calculation_id": "string",
2693 "number": "string",
2694 "amount": {
2695 "quantity": "string",
2696 "currency": "AED"
2697 },
2698 "amount_in_pricing_currency": {
2699 "quantity": "string",
2700 "currency": "AED"
2701 },
2702 "count": "string",
2703 "ratio": "string"
2704 }
2705 ],
2706 "description": "string",
2707 "used_exchange_rates": [
2708 {
2709 "currency": "string",
2710 "base_currency": "string",
2711 "rate_timestamp": "string",
2712 "rate": "string",
2713 "source": "string"
2714 }
2715 ],
2716 "included_volume_details": {
2717 "included_volume": {
2718 "id": "string",
2719 "reference": "string",
2720 "number": "string",
2721 "amount": {
2722 "quantity": "string",
2723 "currency": "AED"
2724 },
2725 "count": "string",
2726 "ratio": "string",
2727 "type": "NUMBER"
2728 },
2729 "available_included_volume": {
2730 "id": "string",
2731 "reference": "string",
2732 "number": "string",
2733 "amount": {
2734 "quantity": "string",
2735 "currency": "AED"
2736 },
2737 "count": "string",
2738 "ratio": "string",
2739 "type": "NUMBER"
2740 },
2741 "period_volume": {
2742 "id": "string",
2743 "reference": "string",
2744 "number": "string",
2745 "amount": {
2746 "quantity": "string",
2747 "currency": "AED"
2748 },
2749 "count": "string",
2750 "ratio": "string",
2751 "type": "NUMBER"
2752 }
2753 },
2754 "wallet_balance_details": {
2755 "used_wallet_credits": {
2756 "quantity": "string",
2757 "credit_type_id": "string"
2758 },
2759 "left_wallet_credits": {
2760 "quantity": "string",
2761 "credit_type_id": "string"
2762 },
2763 "available_wallet_credits": {
2764 "quantity": "string",
2765 "credit_type_id": "string"
2766 }
2767 },
2768 "split_pricing": {
2769 "meter_properties": [
2770 {
2771 "id": "string",
2772 "reference": "string",
2773 "value": "string",
2774 "meter_property": {
2775 "object_type": "string",
2776 "id": "string",
2777 "reference": "string",
2778 "name": "string",
2779 "description": "string",
2780 "status": "DRAFT",
2781 "type": "NUMBER",
2782 "enum_values": [
2783 "string"
2784 ]
2785 }
2786 }
2787 ]
2788 },
2789 "meter_value_share_of_total": "string",
2790 "meter_value_share_of_processing_only_customer_total": "string"
2791 },
2792 "description": "string",
2793 "processing_only_customer_id": "string",
2794 "type": "USAGE_BASED_CONVERSION",
2795 "usage_based_conversion": {
2796 "conditions": {
2797 "name": "string",
2798 "expression": {
2799 "operator": "AND",
2800 "operands": [
2801 {
2802 "meter_property": {
2803 "id": "string",
2804 "reference": "string",
2805 "meter_property": {
2806 "object_type": "string",
2807 "id": "string",
2808 "reference": "string",
2809 "name": "string",
2810 "description": "string",
2811 "status": "DRAFT",
2812 "type": "NUMBER",
2813 "enum_values": [
2814 "string"
2815 ]
2816 },
2817 "value": "string",
2818 "values": [
2819 "string"
2820 ],
2821 "comparator": "EQUALS"
2822 },
2823 "expression": {}
2824 }
2825 ]
2826 },
2827 "meter_properties": [
2828 {
2829 "id": "string",
2830 "reference": "string",
2831 "meter_property": {
2832 "object_type": "string",
2833 "id": "string",
2834 "reference": "string",
2835 "name": "string",
2836 "description": "string",
2837 "status": "DRAFT",
2838 "type": "NUMBER",
2839 "enum_values": [
2840 "string"
2841 ]
2842 },
2843 "value": "string",
2844 "values": [
2845 "string"
2846 ],
2847 "comparator": "EQUALS"
2848 }
2849 ]
2850 }
2851 },
2852 "processing_only_customer_resource_id": "string"
2853 }
2854 ]
2855 }
2856 ],
2857 "billing_customer_id": "string"
2858 }
2859 ]
2860 }
2861 ],
2862 "tax_categories": [
2863 {
2864 "base_amount": {
2865 "quantity": "string",
2866 "currency": "AED"
2867 },
2868 "tax_amount": {
2869 "quantity": "string",
2870 "currency": "AED"
2871 },
2872 "total_amount": {
2873 "quantity": "string",
2874 "currency": "AED"
2875 },
2876 "category": "string",
2877 "local_amounts": {
2878 "base_amount": {
2879 "quantity": "string",
2880 "currency": "AED"
2881 },
2882 "tax_amount": {
2883 "quantity": "string",
2884 "currency": "AED"
2885 },
2886 "total_amount": {
2887 "quantity": "string",
2888 "currency": "AED"
2889 },
2890 "used_exchange_rate": {
2891 "currency": "string",
2892 "base_currency": "string",
2893 "rate_timestamp": "string",
2894 "rate": "string",
2895 "source": "string"
2896 },
2897 "display": true
2898 },
2899 "notes": [
2900 "string"
2901 ],
2902 "rates": [
2903 {
2904 "name": "string",
2905 "percentage": "string",
2906 "tax_amount": {
2907 "quantity": "string",
2908 "currency": "AED"
2909 }
2910 }
2911 ],
2912 "percentage": "string",
2913 "name": "string"
2914 }
2915 ],
2916 "tax_summary": {
2917 "base_amount": {
2918 "quantity": "string",
2919 "currency": "AED"
2920 },
2921 "tax_amount": {
2922 "quantity": "string",
2923 "currency": "AED"
2924 },
2925 "total_amount": {
2926 "quantity": "string",
2927 "currency": "AED"
2928 },
2929 "local_amounts": {
2930 "base_amount": {
2931 "quantity": "string",
2932 "currency": "AED"
2933 },
2934 "tax_amount": {
2935 "quantity": "string",
2936 "currency": "AED"
2937 },
2938 "total_amount": {
2939 "quantity": "string",
2940 "currency": "AED"
2941 },
2942 "used_exchange_rate": {
2943 "currency": "string",
2944 "base_currency": "string",
2945 "rate_timestamp": "string",
2946 "rate": "string",
2947 "source": "string"
2948 },
2949 "display": true
2950 },
2951 "notes": [
2952 "string"
2953 ],
2954 "country_code": "string"
2955 },
2956 "dunning_actions": [
2957 {
2958 "payment_acceptor_id": "string",
2959 "external_reference": "string",
2960 "status": "CANCEL_PENDING",
2961 "failure_reason": "string",
2962 "first_payment_id": "string"
2963 }
2964 ],
2965 "payment_acceptor_ids": [
2966 "string"
2967 ],
2968 "payment_actions": [
2969 {
2970 "payment_acceptor_id": "string",
2971 "payment_acceptor": {
2972 "object_type": "string",
2973 "id": "string",
2974 "billing_entity_id": "string",
2975 "customer_id": "string",
2976 "reference": "string",
2977 "name": "string",
2978 "description": "string",
2979 "type": "BANK_ACCOUNT",
2980 "bank_account": {
2981 "type": "IBAN",
2982 "iban": "string",
2983 "country": "string",
2984 "bic": "string",
2985 "bank_name": "string",
2986 "bank_address": {
2987 "line1": "string",
2988 "line2": "string",
2989 "city": "string",
2990 "postal_code": "string",
2991 "state": "string",
2992 "country": "AD"
2993 },
2994 "account_number_and_bic": {
2995 "account_number": "string",
2996 "bank_code": "string",
2997 "bic": "string"
2998 },
2999 "uk_local": {
3000 "account_number": "string",
3001 "sort_code": "string"
3002 },
3003 "us_local": {
3004 "account_number": "string",
3005 "account_type": "CHECKING",
3006 "bank_code": "string",
3007 "routing_number": "string"
3008 },
3009 "br_local": {
3010 "branch": "string",
3011 "account_number": "string",
3012 "bic": "string"
3013 },
3014 "ar_local": {
3015 "cbu": "string",
3016 "account_number": "string",
3017 "bic": "string"
3018 },
3019 "mx_local": {
3020 "clabe": "string",
3021 "account_number": "string",
3022 "bic": "string"
3023 },
3024 "account_number": "string",
3025 "bank_code": "string",
3026 "routing_number": "string",
3027 "account_type": "CHECKING"
3028 },
3029 "payment_gateway": {
3030 "integration_id": "string",
3031 "integration": {
3032 "object_type": "string",
3033 "id": "string",
3034 "reference": "string",
3035 "name": "string",
3036 "description": "string",
3037 "status": "DRAFT",
3038 "message": "string",
3039 "type": "PAYMENT_GATEWAY",
3040 "authentication": {
3041 "api_key": {
3042 "header": "string",
3043 "value": "string"
3044 },
3045 "client_credentials": {
3046 "client_id": "string",
3047 "client_secret": "string"
3048 },
3049 "username_password": {
3050 "username": "string",
3051 "password": "string"
3052 }
3053 },
3054 "payment_gateway": {
3055 "variant": "ADYEN",
3056 "adyen": {
3057 "company_account": "string",
3058 "environment": "LIVE",
3059 "live_prefix": "string",
3060 "merchant_accounts": [
3061 "string"
3062 ],
3063 "public_key": "string",
3064 "signing_secret": "string",
3065 "ownership": "PLATFORM",
3066 "system_ownership_details": {
3067 "account_holder_id": "string",
3068 "balance_account_id": "string",
3069 "legal_entity_id": "string"
3070 },
3071 "balance_platform_details": {
3072 "account": "string",
3073 "authentication": {
3074 "api_key": {
3075 "header": "string",
3076 "value": "string"
3077 },
3078 "client_credentials": {
3079 "client_id": "string",
3080 "client_secret": "string"
3081 },
3082 "username_password": {
3083 "username": "string",
3084 "password": "string"
3085 }
3086 }
3087 },
3088 "legal_entity_manager_details": {
3089 "authentication": {
3090 "api_key": {
3091 "header": "string",
3092 "value": "string"
3093 },
3094 "client_credentials": {
3095 "client_id": "string",
3096 "client_secret": "string"
3097 },
3098 "username_password": {
3099 "username": "string",
3100 "password": "string"
3101 }
3102 }
3103 },
3104 "enabled_payment_methods": [
3105 "string"
3106 ]
3107 },
3108 "stripe": {
3109 "public_key": "string",
3110 "signing_secret": "string"
3111 }
3112 },
3113 "e_invoicing": {
3114 "mandates": [
3115 {
3116 "name": "string",
3117 "country": "string",
3118 "mappings": [
3119 {
3120 "target": "string",
3121 "source": "string",
3122 "description": "string"
3123 }
3124 ],
3125 "condition_groups": [
3126 {
3127 "conditions": [
3128 {
3129 "field": "string",
3130 "comparator_type": "EQUALS",
3131 "value": "string"
3132 }
3133 ]
3134 }
3135 ],
3136 "include_pdf_in_einvoice": true,
3137 "supported_file_formats": [
3138 {
3139 "type": "string",
3140 "description": "string"
3141 }
3142 ]
3143 }
3144 ],
3145 "processor": "AVALARA"
3146 },
3147 "data_export": {
3148 "variant": "S3",
3149 "s3": {
3150 "bucket_name": "string",
3151 "bucket_path": "string",
3152 "bucket_region": "string"
3153 },
3154 "bigquery": {
3155 "project_id": "string",
3156 "dataset_id": "string",
3157 "dataset_location": "string",
3158 "gcs_bucket_name": "string",
3159 "gcs_hmac_key_access_id": "string",
3160 "gcs_hmac_key_secret": "string"
3161 },
3162 "gcs": {
3163 "bucket_region": "string",
3164 "bucket_name": "string",
3165 "bucket_path": "string",
3166 "flattening": true
3167 },
3168 "snowflake": {
3169 "host": "string",
3170 "role": "string",
3171 "warehouse": "string",
3172 "database": "string",
3173 "schema": "string"
3174 }
3175 },
3176 "tax_calculation": {
3177 "billing_entity_id": "string",
3178 "variant": "AVATAX",
3179 "ava_tax": {
3180 "company_code": "string"
3181 },
3182 "custom_tax_codes": [
3183 {
3184 "field": "INVOICE_COMMITMENT",
3185 "value": "string"
3186 }
3187 ],
3188 "enable_tax_filing": true
3189 },
3190 "linked_resources_configurations": [
3191 {
3192 "resource_type": "string",
3193 "link_details": [
3194 {
3195 "base_url": "string",
3196 "custom_field_reference": "string"
3197 }
3198 ]
3199 }
3200 ],
3201 "email_provider": {
3202 "variant": "SYSTEM",
3203 "mailgun": {
3204 "domain": "string",
3205 "region": "US",
3206 "plan": "string"
3207 },
3208 "delivery_window": {
3209 "type": "DAY",
3210 "value": 1
3211 },
3212 "use_localized_templates": true
3213 }
3214 },
3215 "store_payment_method": true,
3216 "auto_charge_payment_method": true,
3217 "collection_type": "LINK",
3218 "link": {
3219 "expiry_period": {
3220 "type": "DAY",
3221 "value": 1
3222 }
3223 },
3224 "adyen": {
3225 "auto_rescue": {
3226 "enabled": true,
3227 "period": {
3228 "type": "DAY",
3229 "value": 1
3230 }
3231 },
3232 "merchant_account": "string",
3233 "allowed_payment_methods": [
3234 "string"
3235 ]
3236 }
3237 },
3238 "custom_redirect": {
3239 "url": "string"
3240 },
3241 "status": "DRAFT"
3242 },
3243 "type": "string",
3244 "bank_account": {
3245 "legal_name": "string",
3246 "country_code": "string",
3247 "iban": "string",
3248 "bic": "string",
3249 "bank_name": "string",
3250 "account_number": "string",
3251 "bank_code": "string",
3252 "sort_code": "string",
3253 "reference": "string",
3254 "routing_number": "string",
3255 "account_type": "string",
3256 "type": "string",
3257 "bank_address": {
3258 "line1": "string",
3259 "line2": "string",
3260 "city": "string",
3261 "postal_code": "string",
3262 "state": "string",
3263 "country": "AD"
3264 },
3265 "branch": "string",
3266 "cbu": "string",
3267 "clabe": "string"
3268 },
3269 "payment_gateway": {
3270 "variant": "string",
3271 "collection_type": "string",
3272 "adyen": {
3273 "id": "string",
3274 "session_data": "string"
3275 },
3276 "stripe": {
3277 "payment_intent_id": "string",
3278 "client_secret": "string"
3279 }
3280 },
3281 "custom_redirect": {
3282 "url": "string"
3283 }
3284 }
3285 ],
3286 "pay_invoice_link": {
3287 "expiry_period": {
3288 "type": "DAY",
3289 "value": 1
3290 },
3291 "portal_url_id": "string",
3292 "url": "string"
3293 },
3294 "notes": [
3295 "string"
3296 ],
3297 "linked_invoices": [
3298 {
3299 "id": "string",
3300 "link_type": "string",
3301 "note": "string",
3302 "invoice_number": "string",
3303 "amount": {
3304 "quantity": "string",
3305 "currency": "AED"
3306 },
3307 "invoice_date": "string"
3308 }
3309 ],
3310 "custom_fields": [
3311 {
3312 "id": "string",
3313 "reference": "string",
3314 "value": "string",
3315 "values": [
3316 "string"
3317 ],
3318 "integration_details": {
3319 "id": "string",
3320 "reference": "string",
3321 "payment_gateway_variant": "ADYEN",
3322 "adyen": {
3323 "recurring_detail_reference": "string"
3324 },
3325 "stripe": {
3326 "payment_method_id": "string"
3327 }
3328 }
3329 }
3330 ],
3331 "other_custom_fields": [
3332 {
3333 "resource": {
3334 "type": "PLATFORM",
3335 "id": "string"
3336 },
3337 "id": "string",
3338 "reference": "string",
3339 "name": "string",
3340 "value": "string",
3341 "values": [
3342 "string"
3343 ]
3344 }
3345 ],
3346 "credit": {
3347 "original_invoice_info": {
3348 "id": "string",
3349 "invoice_number": "string"
3350 },
3351 "note": "string",
3352 "original_invoice_id": "string"
3353 },
3354 "e_invoices": [
3355 {
3356 "external_reference": "string",
3357 "applied_mandate": "string",
3358 "processor": "string",
3359 "status": {
3360 "status": "string",
3361 "timestamp": "string",
3362 "message": "string"
3363 },
3364 "status_history": [
3365 {
3366 "status": "string",
3367 "timestamp": "string",
3368 "message": "string"
3369 }
3370 ],
3371 "supported_file_formats": [
3372 {
3373 "type": "string",
3374 "description": "string"
3375 }
3376 ]
3377 }
3378 ],
3379 "used_exchange_rates": [
3380 {
3381 "currency": "string",
3382 "base_currency": "string",
3383 "rate_timestamp": "string",
3384 "rate": "string",
3385 "source": "string"
3386 }
3387 ],
3388 "processing_only_customers": [
3389 {
3390 "object_type": "string",
3391 "id": "string",
3392 "created_at": "string",
3393 "parent_customer_id": "string",
3394 "parent_customer_ids": [
3395 "string"
3396 ],
3397 "reference": "string",
3398 "status": "DRAFT",
3399 "timezone": "string",
3400 "type": "ORGANIZATION",
3401 "email": "string",
3402 "notification_preferences": [
3403 {
3404 "type": "INVOICE",
3405 "channels": [
3406 {
3407 "type": "EMAIL",
3408 "enabled": true
3409 }
3410 ]
3411 }
3412 ],
3413 "locale": "string",
3414 "individual": {
3415 "name": {
3416 "first_name": "string",
3417 "last_name": "string",
3418 "infix": "string"
3419 },
3420 "residential_address": {
3421 "line1": "string",
3422 "line2": "string",
3423 "city": "string",
3424 "postal_code": "string",
3425 "state": "string",
3426 "country": "AD"
3427 }
3428 },
3429 "organization": {
3430 "legal_name": "string",
3431 "tax_id": "string",
3432 "tax_ids": [
3433 {
3434 "id": "string",
3435 "type": "GENERIC_TAX_ID",
3436 "display_name": "string",
3437 "tax_id_validation_result": {
3438 "id": "string",
3439 "validation_date": "string",
3440 "source": "string",
3441 "valid": "VALID",
3442 "message": "string"
3443 }
3444 }
3445 ],
3446 "registration_number": "string",
3447 "tax_exempt": true,
3448 "tax_exempt_note": "string",
3449 "registered_address": {
3450 "line1": "string",
3451 "line2": "string",
3452 "city": "string",
3453 "postal_code": "string",
3454 "state": "string",
3455 "country": "AD"
3456 },
3457 "tax_registrations": [
3458 {
3459 "id": "string",
3460 "description": "string",
3461 "tax_id": "string",
3462 "tax_ids": [
3463 {
3464 "id": "string",
3465 "type": "GENERIC_TAX_ID",
3466 "display_name": "string",
3467 "tax_id_validation_result": {
3468 "id": "string",
3469 "validation_date": "string",
3470 "source": "string",
3471 "valid": "VALID",
3472 "message": "string"
3473 }
3474 }
3475 ],
3476 "registration_number": "string",
3477 "registered_address": {
3478 "line1": "string",
3479 "line2": "string",
3480 "city": "string",
3481 "postal_code": "string",
3482 "state": "string",
3483 "country": "AD"
3484 }
3485 }
3486 ]
3487 },
3488 "custom_fields": [
3489 {
3490 "id": "string",
3491 "reference": "string",
3492 "value": "string",
3493 "values": [
3494 "string"
3495 ],
3496 "integration_details": {
3497 "id": "string",
3498 "reference": "string",
3499 "payment_gateway_variant": "ADYEN",
3500 "adyen": {
3501 "recurring_detail_reference": "string"
3502 },
3503 "stripe": {
3504 "payment_method_id": "string"
3505 }
3506 }
3507 }
3508 ],
3509 "processing_only": true,
3510 "pricing_plan_subscription_selector": {
3511 "data": [
3512 {
3513 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3514 "value": "string"
3515 }
3516 ],
3517 "rules": [
3518 {
3519 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3520 "type": "EQUALS"
3521 }
3522 ],
3523 "filters": [
3524 {
3525 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3526 "type": "EQUALS",
3527 "value": "string"
3528 }
3529 ],
3530 "fallback": "LATEST"
3531 },
3532 "linked_integrations": [
3533 {
3534 "id": "string",
3535 "link_details": [
3536 {
3537 "url": "string",
3538 "custom_field_name": "string"
3539 }
3540 ]
3541 }
3542 ],
3543 "roles": [
3544 "DEFAULT"
3545 ],
3546 "seller_details": {
3547 "default_billing_entity_id": "string"
3548 }
3549 }
3550 ],
3551 "meter_values": [
3552 {
3553 "object_type": "string",
3554 "id": "string",
3555 "reference": "string",
3556 "name": "string",
3557 "description": "string",
3558 "status": "DRAFT",
3559 "type": "NUMBER"
3560 }
3561 ],
3562 "credit_types": [
3563 {
3564 "object_type": "string",
3565 "id": "string",
3566 "reference": "string",
3567 "status": "DRAFT",
3568 "name": "string",
3569 "description": "string",
3570 "unit_name": {
3571 "singular": "string",
3572 "plural": "string"
3573 },
3574 "created_at": "string",
3575 "updated_at": "string"
3576 }
3577 ],
3578 "display_invoice_sub_lines_per_processing_only_customer": true,
3579 "forwarded_from_customers": [
3580 {
3581 "object_type": "string",
3582 "id": "string",
3583 "created_at": "string",
3584 "parent_customer_id": "string",
3585 "parent_customer_ids": [
3586 "string"
3587 ],
3588 "reference": "string",
3589 "status": "DRAFT",
3590 "timezone": "string",
3591 "type": "ORGANIZATION",
3592 "email": "string",
3593 "notification_preferences": [
3594 {
3595 "type": "INVOICE",
3596 "channels": [
3597 {
3598 "type": "EMAIL",
3599 "enabled": true
3600 }
3601 ]
3602 }
3603 ],
3604 "locale": "string",
3605 "individual": {
3606 "name": {
3607 "first_name": "string",
3608 "last_name": "string",
3609 "infix": "string"
3610 },
3611 "residential_address": {
3612 "line1": "string",
3613 "line2": "string",
3614 "city": "string",
3615 "postal_code": "string",
3616 "state": "string",
3617 "country": "AD"
3618 }
3619 },
3620 "organization": {
3621 "legal_name": "string",
3622 "tax_id": "string",
3623 "tax_ids": [
3624 {
3625 "id": "string",
3626 "type": "GENERIC_TAX_ID",
3627 "display_name": "string",
3628 "tax_id_validation_result": {
3629 "id": "string",
3630 "validation_date": "string",
3631 "source": "string",
3632 "valid": "VALID",
3633 "message": "string"
3634 }
3635 }
3636 ],
3637 "registration_number": "string",
3638 "tax_exempt": true,
3639 "tax_exempt_note": "string",
3640 "registered_address": {
3641 "line1": "string",
3642 "line2": "string",
3643 "city": "string",
3644 "postal_code": "string",
3645 "state": "string",
3646 "country": "AD"
3647 },
3648 "tax_registrations": [
3649 {
3650 "id": "string",
3651 "description": "string",
3652 "tax_id": "string",
3653 "tax_ids": [
3654 {
3655 "id": "string",
3656 "type": "GENERIC_TAX_ID",
3657 "display_name": "string",
3658 "tax_id_validation_result": {
3659 "id": "string",
3660 "validation_date": "string",
3661 "source": "string",
3662 "valid": "VALID",
3663 "message": "string"
3664 }
3665 }
3666 ],
3667 "registration_number": "string",
3668 "registered_address": {
3669 "line1": "string",
3670 "line2": "string",
3671 "city": "string",
3672 "postal_code": "string",
3673 "state": "string",
3674 "country": "AD"
3675 }
3676 }
3677 ]
3678 },
3679 "custom_fields": [
3680 {
3681 "id": "string",
3682 "reference": "string",
3683 "value": "string",
3684 "values": [
3685 "string"
3686 ],
3687 "integration_details": {
3688 "id": "string",
3689 "reference": "string",
3690 "payment_gateway_variant": "ADYEN",
3691 "adyen": {
3692 "recurring_detail_reference": "string"
3693 },
3694 "stripe": {
3695 "payment_method_id": "string"
3696 }
3697 }
3698 }
3699 ],
3700 "processing_only": true,
3701 "pricing_plan_subscription_selector": {
3702 "data": [
3703 {
3704 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3705 "value": "string"
3706 }
3707 ],
3708 "rules": [
3709 {
3710 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3711 "type": "EQUALS"
3712 }
3713 ],
3714 "filters": [
3715 {
3716 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3717 "type": "EQUALS",
3718 "value": "string"
3719 }
3720 ],
3721 "fallback": "LATEST"
3722 },
3723 "linked_integrations": [
3724 {
3725 "id": "string",
3726 "link_details": [
3727 {
3728 "url": "string",
3729 "custom_field_name": "string"
3730 }
3731 ]
3732 }
3733 ],
3734 "roles": [
3735 "DEFAULT"
3736 ],
3737 "seller_details": {
3738 "default_billing_entity_id": "string"
3739 }
3740 }
3741 ],
3742 "validation_result": [
3743 {
3744 "status": "string",
3745 "details": "string"
3746 }
3747 ],
3748 "reprocess": {
3749 "to_be_reprocessed_at": "string",
3750 "reprocess_status": "string",
3751 "reprocess_id": "string"
3752 },
3753 "used_tax_registration": {
3754 "id": "string",
3755 "description": "string",
3756 "tax_id": "string",
3757 "tax_ids": [
3758 {
3759 "id": "string",
3760 "type": "GENERIC_TAX_ID",
3761 "display_name": "string",
3762 "tax_id_validation_result": {
3763 "id": "string",
3764 "validation_date": "string",
3765 "source": "string",
3766 "valid": "VALID",
3767 "message": "string"
3768 }
3769 }
3770 ],
3771 "registration_number": "string",
3772 "registered_address": {
3773 "line1": "string",
3774 "line2": "string",
3775 "city": "string",
3776 "postal_code": "string",
3777 "state": "string",
3778 "country": "AD"
3779 }
3780 },
3781 "footnote": "string",
3782 "approval_status": "PENDING_REVIEW",
3783 "updated_to_final_at": "string",
3784 "has_usage_based_pricing": true,
3785 "coupons": [
3786 {
3787 "coupon_id": "string",
3788 "coupon_name": "string"
3789 }
3790 ],
3791 "promotion_codes": [
3792 {
3793 "promotion_code_details": {
3794 "promotion_code_id": "string",
3795 "code": "string"
3796 },
3797 "coupon_id": "string"
3798 }
3799 ],
3800 "linked_integrations": [
3801 {
3802 "id": "string",
3803 "link_details": [
3804 {
3805 "url": "string",
3806 "custom_field_name": "string"
3807 }
3808 ]
3809 }
3810 ],
3811 "billing_type": "DEFAULT",
3812 "payment_status": "UNPAID",
3813 "paid": true,
3814 "auto_rescues": [
3815 {
3816 "payment_acceptor_id": "string",
3817 "external_reference": "string",
3818 "status": "CANCEL_PENDING",
3819 "failure_reason": "string",
3820 "first_payment_id": "string"
3821 }
3822 ],
3823 "linked_invoices_ids": [
3824 "string"
3825 ],
3826 "to_be_reprocessed": true,
3827 "to_be_reprocessed_at": "string"
3828 },
3829 "first_invoice": {
3830 "object_type": "string",
3831 "id": "string",
3832 "invoice_number": "string",
3833 "purchase_order_number": "string",
3834 "platform_id": "string",
3835 "customer_id": "string",
3836 "customer_reference": "string",
3837 "sales_tax_percentage": "string",
3838 "customer": {
3839 "object_type": "string",
3840 "id": "string",
3841 "created_at": "string",
3842 "parent_customer_id": "string",
3843 "parent_customer_ids": [
3844 "string"
3845 ],
3846 "reference": "string",
3847 "status": "DRAFT",
3848 "timezone": "string",
3849 "type": "ORGANIZATION",
3850 "email": "string",
3851 "notification_preferences": [
3852 {
3853 "type": "INVOICE",
3854 "channels": [
3855 {
3856 "type": "EMAIL",
3857 "enabled": true
3858 }
3859 ]
3860 }
3861 ],
3862 "locale": "string",
3863 "individual": {
3864 "name": {
3865 "first_name": "string",
3866 "last_name": "string",
3867 "infix": "string"
3868 },
3869 "residential_address": {
3870 "line1": "string",
3871 "line2": "string",
3872 "city": "string",
3873 "postal_code": "string",
3874 "state": "string",
3875 "country": "AD"
3876 }
3877 },
3878 "organization": {
3879 "legal_name": "string",
3880 "tax_id": "string",
3881 "tax_ids": [
3882 {
3883 "id": "string",
3884 "type": "GENERIC_TAX_ID",
3885 "display_name": "string",
3886 "tax_id_validation_result": {
3887 "id": "string",
3888 "validation_date": "string",
3889 "source": "string",
3890 "valid": "VALID",
3891 "message": "string"
3892 }
3893 }
3894 ],
3895 "registration_number": "string",
3896 "tax_exempt": true,
3897 "tax_exempt_note": "string",
3898 "registered_address": {
3899 "line1": "string",
3900 "line2": "string",
3901 "city": "string",
3902 "postal_code": "string",
3903 "state": "string",
3904 "country": "AD"
3905 },
3906 "tax_registrations": [
3907 {
3908 "id": "string",
3909 "description": "string",
3910 "tax_id": "string",
3911 "tax_ids": [
3912 {
3913 "id": "string",
3914 "type": "GENERIC_TAX_ID",
3915 "display_name": "string",
3916 "tax_id_validation_result": {
3917 "id": "string",
3918 "validation_date": "string",
3919 "source": "string",
3920 "valid": "VALID",
3921 "message": "string"
3922 }
3923 }
3924 ],
3925 "registration_number": "string",
3926 "registered_address": {
3927 "line1": "string",
3928 "line2": "string",
3929 "city": "string",
3930 "postal_code": "string",
3931 "state": "string",
3932 "country": "AD"
3933 }
3934 }
3935 ]
3936 },
3937 "custom_fields": [
3938 {
3939 "id": "string",
3940 "reference": "string",
3941 "value": "string",
3942 "values": [
3943 "string"
3944 ],
3945 "integration_details": {
3946 "id": "string",
3947 "reference": "string",
3948 "payment_gateway_variant": "ADYEN",
3949 "adyen": {
3950 "recurring_detail_reference": "string"
3951 },
3952 "stripe": {
3953 "payment_method_id": "string"
3954 }
3955 }
3956 }
3957 ],
3958 "processing_only": true,
3959 "pricing_plan_subscription_selector": {
3960 "data": [
3961 {
3962 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3963 "value": "string"
3964 }
3965 ],
3966 "rules": [
3967 {
3968 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3969 "type": "EQUALS"
3970 }
3971 ],
3972 "filters": [
3973 {
3974 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3975 "type": "EQUALS",
3976 "value": "string"
3977 }
3978 ],
3979 "fallback": "LATEST"
3980 },
3981 "linked_integrations": [
3982 {
3983 "id": "string",
3984 "link_details": [
3985 {
3986 "url": "string",
3987 "custom_field_name": "string"
3988 }
3989 ]
3990 }
3991 ],
3992 "roles": [
3993 "DEFAULT"
3994 ],
3995 "seller_details": {
3996 "default_billing_entity_id": "string"
3997 }
3998 },
3999 "billing_entity": {
4000 "object_type": "string",
4001 "id": "string",
4002 "created_at": "string",
4003 "reference": "string",
4004 "status": "string",
4005 "timezone": "string",
4006 "legal_name": "string",
4007 "tax_id": "string",
4008 "tax_ids": [
4009 {
4010 "id": "string",
4011 "type": "GENERIC_TAX_ID",
4012 "display_name": "string",
4013 "tax_id_validation_result": {
4014 "id": "string",
4015 "validation_date": "string",
4016 "source": "string",
4017 "valid": "VALID",
4018 "message": "string"
4019 }
4020 }
4021 ],
4022 "registration_number": "string",
4023 "registered_address": {
4024 "line1": "string",
4025 "line2": "string",
4026 "city": "string",
4027 "postal_code": "string",
4028 "state": "string",
4029 "country": "AD"
4030 },
4031 "email": "string",
4032 "tax_settings": {
4033 "apply_local_vat_for_missing_tax_id": true
4034 },
4035 "tax_registrations": [
4036 {
4037 "id": "string",
4038 "description": "string",
4039 "tax_id": "string",
4040 "tax_ids": [
4041 {
4042 "id": "string",
4043 "type": "GENERIC_TAX_ID",
4044 "display_name": "string",
4045 "tax_id_validation_result": {
4046 "id": "string",
4047 "validation_date": "string",
4048 "source": "string",
4049 "valid": "VALID",
4050 "message": "string"
4051 }
4052 }
4053 ],
4054 "registration_number": "string",
4055 "registered_address": {
4056 "line1": "string",
4057 "line2": "string",
4058 "city": "string",
4059 "postal_code": "string",
4060 "state": "string",
4061 "country": "AD"
4062 }
4063 }
4064 ],
4065 "custom_fields": [
4066 {
4067 "id": "string",
4068 "reference": "string",
4069 "value": "string",
4070 "values": [
4071 "string"
4072 ],
4073 "integration_details": {
4074 "id": "string",
4075 "reference": "string",
4076 "payment_gateway_variant": "ADYEN",
4077 "adyen": {
4078 "recurring_detail_reference": "string"
4079 },
4080 "stripe": {
4081 "payment_method_id": "string"
4082 }
4083 }
4084 }
4085 ],
4086 "default_customer_country_selector": [
4087 "AD"
4088 ],
4089 "default_billing_currency_selector": [
4090 "AED"
4091 ],
4092 "linked_integrations": [
4093 {
4094 "id": "string",
4095 "link_details": [
4096 {
4097 "url": "string",
4098 "custom_field_name": "string"
4099 }
4100 ]
4101 }
4102 ]
4103 },
4104 "status": "string",
4105 "on_hold": true,
4106 "type": "STANDARD",
4107 "created_at": "string",
4108 "updated_at": "string",
4109 "invoice_date": "2024-01-15T09:30:00Z",
4110 "delivery_date": "string",
4111 "due_date": "2024-01-15T09:30:00Z",
4112 "billing_period_date": "string",
4113 "billing_currency": "string",
4114 "invoice_amount_including_tax": {
4115 "quantity": "string",
4116 "currency": "AED"
4117 },
4118 "open_invoice_amount": {
4119 "quantity": "string",
4120 "currency": "AED"
4121 },
4122 "closed_invoice_amount": {
4123 "quantity": "string",
4124 "currency": "AED"
4125 },
4126 "paid_invoice_amount": {
4127 "quantity": "string",
4128 "currency": "AED"
4129 },
4130 "timezone": "string",
4131 "billing_period": {
4132 "type": "DAY",
4133 "value": 1
4134 },
4135 "pricing_plan_subscription_ids": [
4136 "string"
4137 ],
4138 "pricing_amount_type": "EXCLUDING_TAX",
4139 "periods": [
4140 {
4141 "period_order": 1,
4142 "amount_excluding_tax": {
4143 "quantity": "string",
4144 "currency": "AED"
4145 },
4146 "amount_including_tax": {
4147 "quantity": "string",
4148 "currency": "AED"
4149 },
4150 "billing_period": {
4151 "type": "DAY",
4152 "value": 1
4153 },
4154 "start_at": "string",
4155 "end_at": "string",
4156 "tax_categories": [
4157 {
4158 "base_amount": {
4159 "quantity": "string",
4160 "currency": "AED"
4161 },
4162 "tax_amount": {
4163 "quantity": "string",
4164 "currency": "AED"
4165 },
4166 "total_amount": {
4167 "quantity": "string",
4168 "currency": "AED"
4169 },
4170 "category": "string",
4171 "local_amounts": {
4172 "base_amount": {
4173 "quantity": "string",
4174 "currency": "AED"
4175 },
4176 "tax_amount": {
4177 "quantity": "string",
4178 "currency": "AED"
4179 },
4180 "total_amount": {
4181 "quantity": "string",
4182 "currency": "AED"
4183 },
4184 "used_exchange_rate": {
4185 "currency": "string",
4186 "base_currency": "string",
4187 "rate_timestamp": "string",
4188 "rate": "string",
4189 "source": "string"
4190 },
4191 "display": true
4192 },
4193 "notes": [
4194 "string"
4195 ],
4196 "rates": [
4197 {
4198 "name": "string",
4199 "percentage": "string",
4200 "tax_amount": {
4201 "quantity": "string",
4202 "currency": "AED"
4203 }
4204 }
4205 ],
4206 "percentage": "string",
4207 "name": "string"
4208 }
4209 ],
4210 "groups": [
4211 {
4212 "group_order": 1,
4213 "amount_excluding_tax": {
4214 "quantity": "string",
4215 "currency": "AED"
4216 },
4217 "amount_including_tax": {
4218 "quantity": "string",
4219 "currency": "AED"
4220 },
4221 "billing_period": {
4222 "type": "DAY",
4223 "value": 1
4224 },
4225 "start_at": "string",
4226 "end_at": "string",
4227 "type": "string",
4228 "product_category": {
4229 "object_type": "string",
4230 "id": "string",
4231 "name": "string",
4232 "reference": "string",
4233 "description": "string",
4234 "tax_category": "STANDARD",
4235 "display_order": 1,
4236 "customer_id": "string"
4237 },
4238 "products": [
4239 {
4240 "object_type": "string",
4241 "id": "string",
4242 "category_id": "string",
4243 "category": {
4244 "object_type": "string",
4245 "id": "string",
4246 "name": "string",
4247 "reference": "string",
4248 "description": "string",
4249 "tax_category": "STANDARD",
4250 "display_order": 1,
4251 "customer_id": "string"
4252 },
4253 "parent_product_id": "string",
4254 "name": "string",
4255 "reference": "string",
4256 "description": "string",
4257 "status": "DRAFT",
4258 "product_type": "DEFAULT",
4259 "tax_category": "STANDARD",
4260 "features": [
4261 {
4262 "id": "string",
4263 "reference": "string"
4264 }
4265 ],
4266 "custom_fields": [
4267 {
4268 "id": "string",
4269 "reference": "string",
4270 "value": "string",
4271 "values": [
4272 "string"
4273 ],
4274 "integration_details": {
4275 "id": "string",
4276 "reference": "string",
4277 "payment_gateway_variant": "ADYEN",
4278 "adyen": {
4279 "recurring_detail_reference": "string"
4280 },
4281 "stripe": {
4282 "payment_method_id": "string"
4283 }
4284 }
4285 }
4286 ],
4287 "display_order": 1,
4288 "linked_integrations": [
4289 {
4290 "id": "string",
4291 "link_details": [
4292 {
4293 "url": "string",
4294 "custom_field_name": "string"
4295 }
4296 ]
4297 }
4298 ],
4299 "billing_entity_id": "string",
4300 "customer_id": "string"
4301 }
4302 ],
4303 "pricing": {
4304 "id": "string",
4305 "name": "string"
4306 },
4307 "description": "string",
4308 "pricing_plan_subscription_id": "string",
4309 "pricing_plan_schedule_id": "string",
4310 "forwarded_from_customer_id": "string",
4311 "tax_categories": [
4312 {
4313 "base_amount": {
4314 "quantity": "string",
4315 "currency": "AED"
4316 },
4317 "tax_amount": {
4318 "quantity": "string",
4319 "currency": "AED"
4320 },
4321 "total_amount": {
4322 "quantity": "string",
4323 "currency": "AED"
4324 },
4325 "category": "string",
4326 "local_amounts": {
4327 "base_amount": {
4328 "quantity": "string",
4329 "currency": "AED"
4330 },
4331 "tax_amount": {
4332 "quantity": "string",
4333 "currency": "AED"
4334 },
4335 "total_amount": {
4336 "quantity": "string",
4337 "currency": "AED"
4338 },
4339 "used_exchange_rate": {
4340 "currency": "string",
4341 "base_currency": "string",
4342 "rate_timestamp": "string",
4343 "rate": "string",
4344 "source": "string"
4345 },
4346 "display": true
4347 },
4348 "notes": [
4349 "string"
4350 ],
4351 "rates": [
4352 {
4353 "name": "string",
4354 "percentage": "string",
4355 "tax_amount": {
4356 "quantity": "string",
4357 "currency": "AED"
4358 }
4359 }
4360 ],
4361 "percentage": "string",
4362 "name": "string"
4363 }
4364 ],
4365 "lines": [
4366 {
4367 "id": "string",
4368 "line_order": 1,
4369 "description": "string",
4370 "pricing_item_id": "string",
4371 "pricing_item_config_id": "string",
4372 "product_items": [
4373 {
4374 "object_type": "string",
4375 "id": "string",
4376 "product_id": "string",
4377 "product": {
4378 "object_type": "string",
4379 "id": "string",
4380 "category_id": "string",
4381 "category": {
4382 "object_type": "string",
4383 "id": "string",
4384 "name": "string",
4385 "reference": "string",
4386 "description": "string",
4387 "tax_category": "STANDARD",
4388 "display_order": 1,
4389 "customer_id": "string"
4390 },
4391 "parent_product_id": "string",
4392 "name": "string",
4393 "reference": "string",
4394 "description": "string",
4395 "status": "DRAFT",
4396 "product_type": "DEFAULT",
4397 "tax_category": "STANDARD",
4398 "features": [
4399 {
4400 "id": "string",
4401 "reference": "string"
4402 }
4403 ],
4404 "custom_fields": [
4405 {
4406 "id": "string",
4407 "reference": "string",
4408 "value": "string",
4409 "values": [
4410 "string"
4411 ],
4412 "integration_details": {
4413 "id": "string",
4414 "reference": "string",
4415 "payment_gateway_variant": "ADYEN",
4416 "adyen": {
4417 "recurring_detail_reference": "string"
4418 },
4419 "stripe": {
4420 "payment_method_id": "string"
4421 }
4422 }
4423 }
4424 ],
4425 "display_order": 1,
4426 "linked_integrations": [
4427 {
4428 "id": "string",
4429 "link_details": [
4430 {
4431 "url": "string",
4432 "custom_field_name": "string"
4433 }
4434 ]
4435 }
4436 ],
4437 "billing_entity_id": "string",
4438 "customer_id": "string"
4439 },
4440 "name": "string",
4441 "status": "DRAFT",
4442 "reference": "string",
4443 "description": "string",
4444 "type": "REVENUE",
4445 "model_type": "USAGE_BASED",
4446 "usage_based": {
4447 "meter_value_calculation_id": "string",
4448 "meter_value_calculation": {
4449 "object_type": "string",
4450 "id": "string",
4451 "reference": "string",
4452 "name": "string",
4453 "description": "string",
4454 "calculation_type": "SUM",
4455 "persist": true,
4456 "meter_id": "string",
4457 "meter": {
4458 "object_type": "string",
4459 "id": "string",
4460 "reference": "string",
4461 "name": "string",
4462 "description": "string",
4463 "status": "DRAFT",
4464 "meter_values": [
4465 {
4466 "id": "string",
4467 "object": {
4468 "object_type": "string",
4469 "id": "string",
4470 "reference": "string",
4471 "name": "string",
4472 "description": "string",
4473 "status": "DRAFT",
4474 "type": "NUMBER"
4475 },
4476 "required": true
4477 }
4478 ],
4479 "meter_properties": [
4480 {
4481 "id": "string",
4482 "object": {
4483 "object_type": "string",
4484 "id": "string",
4485 "reference": "string",
4486 "name": "string",
4487 "description": "string",
4488 "status": "DRAFT",
4489 "type": "NUMBER",
4490 "enum_values": [
4491 "string"
4492 ]
4493 },
4494 "required": true
4495 }
4496 ]
4497 },
4498 "meter_value_id": "string",
4499 "meter_value": {
4500 "object_type": "string",
4501 "id": "string",
4502 "reference": "string",
4503 "name": "string",
4504 "description": "string",
4505 "status": "DRAFT",
4506 "type": "NUMBER"
4507 },
4508 "meter_property_id": "string",
4509 "meter_property": {
4510 "object_type": "string",
4511 "id": "string",
4512 "reference": "string",
4513 "name": "string",
4514 "description": "string",
4515 "status": "DRAFT",
4516 "type": "NUMBER",
4517 "enum_values": [
4518 "string"
4519 ]
4520 }
4521 },
4522 "tiering_meter_value_calculation_id": "string",
4523 "tiering_meter_value_calculation": {
4524 "object_type": "string",
4525 "id": "string",
4526 "reference": "string",
4527 "name": "string",
4528 "description": "string",
4529 "calculation_type": "SUM",
4530 "persist": true,
4531 "meter_id": "string",
4532 "meter": {
4533 "object_type": "string",
4534 "id": "string",
4535 "reference": "string",
4536 "name": "string",
4537 "description": "string",
4538 "status": "DRAFT",
4539 "meter_values": [
4540 {
4541 "id": "string",
4542 "object": {
4543 "object_type": "string",
4544 "id": "string",
4545 "reference": "string",
4546 "name": "string",
4547 "description": "string",
4548 "status": "DRAFT",
4549 "type": "NUMBER"
4550 },
4551 "required": true
4552 }
4553 ],
4554 "meter_properties": [
4555 {
4556 "id": "string",
4557 "object": {
4558 "object_type": "string",
4559 "id": "string",
4560 "reference": "string",
4561 "name": "string",
4562 "description": "string",
4563 "status": "DRAFT",
4564 "type": "NUMBER",
4565 "enum_values": [
4566 "string"
4567 ]
4568 },
4569 "required": true
4570 }
4571 ]
4572 },
4573 "meter_value_id": "string",
4574 "meter_value": {
4575 "object_type": "string",
4576 "id": "string",
4577 "reference": "string",
4578 "name": "string",
4579 "description": "string",
4580 "status": "DRAFT",
4581 "type": "NUMBER"
4582 },
4583 "meter_property_id": "string",
4584 "meter_property": {
4585 "object_type": "string",
4586 "id": "string",
4587 "reference": "string",
4588 "name": "string",
4589 "description": "string",
4590 "status": "DRAFT",
4591 "type": "NUMBER",
4592 "enum_values": [
4593 "string"
4594 ]
4595 }
4596 },
4597 "report_meter_value_calculation_ids": [
4598 "string"
4599 ],
4600 "conditions": {
4601 "name": "string",
4602 "expression": {
4603 "operator": "AND",
4604 "operands": [
4605 {
4606 "meter_property": {
4607 "id": "string",
4608 "reference": "string",
4609 "meter_property": {
4610 "object_type": "string",
4611 "id": "string",
4612 "reference": "string",
4613 "name": "string",
4614 "description": "string",
4615 "status": "DRAFT",
4616 "type": "NUMBER",
4617 "enum_values": [
4618 "string"
4619 ]
4620 },
4621 "value": "string",
4622 "values": [
4623 "string"
4624 ],
4625 "comparator": "EQUALS"
4626 },
4627 "expression": {}
4628 }
4629 ]
4630 },
4631 "meter_properties": [
4632 {
4633 "id": "string",
4634 "reference": "string",
4635 "meter_property": {
4636 "object_type": "string",
4637 "id": "string",
4638 "reference": "string",
4639 "name": "string",
4640 "description": "string",
4641 "status": "DRAFT",
4642 "type": "NUMBER",
4643 "enum_values": [
4644 "string"
4645 ]
4646 },
4647 "value": "string",
4648 "values": [
4649 "string"
4650 ],
4651 "comparator": "EQUALS"
4652 }
4653 ]
4654 }
4655 },
4656 "credits": {
4657 "credit_type_id": "string",
4658 "credit_type": {
4659 "object_type": "string",
4660 "id": "string",
4661 "reference": "string",
4662 "status": "DRAFT",
4663 "name": "string",
4664 "description": "string",
4665 "unit_name": {
4666 "singular": "string",
4667 "plural": "string"
4668 },
4669 "created_at": "string",
4670 "updated_at": "string"
4671 }
4672 },
4673 "meter_value_calculation": {
4674 "object_type": "string",
4675 "id": "string",
4676 "reference": "string",
4677 "name": "string",
4678 "description": "string",
4679 "calculation_type": "SUM",
4680 "persist": true,
4681 "meter_id": "string",
4682 "meter": {
4683 "object_type": "string",
4684 "id": "string",
4685 "reference": "string",
4686 "name": "string",
4687 "description": "string",
4688 "status": "DRAFT",
4689 "meter_values": [
4690 {
4691 "id": "string",
4692 "object": {
4693 "object_type": "string",
4694 "id": "string",
4695 "reference": "string",
4696 "name": "string",
4697 "description": "string",
4698 "status": "DRAFT",
4699 "type": "NUMBER"
4700 },
4701 "required": true
4702 }
4703 ],
4704 "meter_properties": [
4705 {
4706 "id": "string",
4707 "object": {
4708 "object_type": "string",
4709 "id": "string",
4710 "reference": "string",
4711 "name": "string",
4712 "description": "string",
4713 "status": "DRAFT",
4714 "type": "NUMBER",
4715 "enum_values": [
4716 "string"
4717 ]
4718 },
[...]
